/**************************************************************************/
/*EXECUCIONS INCORRECTES
En el darrer any, nombre de canvis aprovats que la seva execuci no ha estat correcte.
/**************************************************************************/
SELECT yearinfo, totalnumber
FROM counters
WHERE idcounter = 'IE' --Incorrect Executions
    AND yearinfo = EXTRACT(YEAR FROM add_months(sysdate, - 12));

/**************************************************************************/
/*CANVIS EN PROCS D'APROVACI
En el moment de fer la consulta, nombre de canvis registrats al sistema 
que estan en procs daprovaci
/**************************************************************************/
SELECT TOTALNUMBER FROM COUNTERS
WHERE IDCOUNTER = 'PA'
AND YEARINFO = 9999;

/**************************************************************************/
/*RESPONSABLE TCNIC AMB MS CANVIS EXECUTATS CORRECTAMENT
Tenint en compte tota la informaci existent a la BD, responsable tcnic amb ms canvis
executats de manera correcta
/**************************************************************************/
select technicalmanager, correctExecutions
    from technicalmanagerData
    order by correctExecutions DESC
    fetch first 1 rows only;
    
/**************************************************************************/
/*PERCENTATGE ACCIONS EN TEMPS DEFINIT
/*Donat un any concret, percentatge daccions definides per execucions 
no correctes tancades en el temps inicialment definit al pla dacci corresponent.
/**************************************************************************/
SELECT INTIME, TOTAL, (INTIME/TOTAL)*100 PERCENTATGEINTIME
FROM ACTIONSINTIME
WHERE YEARACTION = 2023
;

/**************************************************************************/
/*TOTAL CANVIS APROVATS
/*En lany en curs, nombre total de canvis aprovats a la GCAB.
/**************************************************************************/
select yearinfo, totalnumber
from counters
where idcounter = 'AP'
and yearinfo = 2024
;

/**************************************************************************/
/*TOTAL CANVIS REBUTJATS
/*En un any concret, nombre de canvis que no van ser aprovats i, conseqentment, no es van
executar.
/**************************************************************************/
select yearinfo, totalnumber 
from counters
where idcounter = 'RE'
 and yearinfo = 2022;

/**************************************************************************/
/*PERCENTATGE CANVIS REPLANIFICATS
/*Donada una regi geogrfica concreta, percentatge de canvis que la seva execuci es va
haver de replanificar.
/**************************************************************************/
select replanned, total, (replanned/total)*100 percentatge
    from replannedchanges
    where geoarea = 'Asia'
    ;

/**************************************************************************/
/*INCOMPLIMENTS
/*En els darrers 6 mesos, nombre total dincompliments detectats durant les auditories realitzades.
/**************************************************************************/
select totalNumber
from counters
where idcounter = 'BR' and yearinfo = 9999;

/**************************************************************************/
/*TOTAL PLANS D'ACCI OBERTS
/*En el moment dexecutar la consulta, nombre total de plans dacci sobre execucions no
correctes que estan oberts.
/**************************************************************************/
select totalNumber 
from counters
where idcounter = 'OP' and yearinfo = 9999;

/**************************************************************************/
/*RESPONSABLE TCNIC AMB MS CANVIS EN CURS
/*En un moment donat, responsable tcnic amb ms canvis en curs.
/**************************************************************************/
select technicalmanager, currChanges
    from technicalmanagerData
    order by currChanges DESC
    fetch first 1 rows only;

/**************************************************************************/
/*SUBSTITUCIONS NO PLANIFICADES
/*Tenint en compte totes les dades de la BD, persona concreta amb rol daprovador que ha
estat substituda ms vegades per indisponibilitat no planificada.
/**************************************************************************/
select idapprover, unplannedsubst
from unplannedsubstitutions
order by unplannedsubst desc
fetch first 1 rows only
;