--------------------------------------------------------
--  File created - dilluns-de gener-15-2024   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table ACTION
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."ACTION" 
   (	"IDACTION" VARCHAR2(15 BYTE), 
	"IDPLAN" VARCHAR2(15 BYTE), 
	"NAME" VARCHAR2(20 BYTE), 
	"DESCRIPTION" VARCHAR2(60 BYTE), 
	"DATEACTION" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table ACTIONPLAN
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."ACTIONPLAN" 
   (	"IDPLAN" VARCHAR2(15 BYTE), 
	"NAME" VARCHAR2(20 BYTE), 
	"DESCRIPTION" VARCHAR2(60 BYTE), 
	"ISVALIDATED" VARCHAR2(1 BYTE), 
	"INIDATE" DATE, 
	"ENDDATE" DATE, 
	"EXECUTEDCHANGE" VARCHAR2(15 BYTE), 
	"RESPONSIBLE" VARCHAR2(15 BYTE), 
	"VALIDATOR" VARCHAR2(15 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table ACTIONSINTIME
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."ACTIONSINTIME" 
   (	"YEARACTION" NUMBER(*,0), 
	"INTIME" NUMBER(*,0), 
	"TOTAL" NUMBER(*,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table APPINVENTORY
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."APPINVENTORY" 
   (	"IDAPP" VARCHAR2(15 BYTE), 
	"APPNAME" VARCHAR2(20 BYTE), 
	"DATEPRO" DATE, 
	"TECHNOLOGY" VARCHAR2(20 BYTE), 
	"INFRAESTRUCTURE" VARCHAR2(20 BYTE), 
	"NUMUSERS" NUMBER(*,0), 
	"CRITICALITY" NUMBER(*,0), 
	"IMPACTOOS" VARCHAR2(6 BYTE), 
	"TECHNICALRESP" VARCHAR2(15 BYTE), 
	"BUSINESSRESP" VARCHAR2(15 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table APPROVAL
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."APPROVAL" 
   (	"IDPERSON" VARCHAR2(15 BYTE), 
	"IDCHANGE" VARCHAR2(15 BYTE), 
	"DATEAPPROVAL" DATE, 
	"ROLEAPPROVER" VARCHAR2(2 BYTE), 
	"COMMENTARY" VARCHAR2(100 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table BREACHES
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."BREACHES" 
   (	"IDBREACH" VARCHAR2(15 BYTE), 
	"NAME" VARCHAR2(20 BYTE), 
	"REFERENCETO" VARCHAR2(15 BYTE), 
	"DESCRIPTION" VARCHAR2(60 BYTE), 
	"DATEBREACH" DATE, 
	"RESULTBREACH" VARCHAR2(2 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table CHANGECATEGORY
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."CHANGECATEGORY" 
   (	"IMPORTANCE" VARCHAR2(1 BYTE), 
	"CREATIONDATE" DATE, 
	"DATEIN" DATE, 
	"DATEOUT" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table CHANGES
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."CHANGES" 
   (	"IDCHANGE" VARCHAR2(15 BYTE), 
	"NAME" VARCHAR2(20 BYTE), 
	"DESCRIPTION" VARCHAR2(60 BYTE), 
	"GEOSCOPE" VARCHAR2(6 BYTE), 
	"CATEGORY" VARCHAR2(1 BYTE), 
	"APPLICATION" VARCHAR2(15 BYTE), 
	"STATUSCHANGE" VARCHAR2(2 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table COUNTERS
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."COUNTERS" 
   (	"IDCOUNTER" VARCHAR2(2 BYTE), 
	"YEARINFO" NUMBER(*,0), 
	"TOTALNUMBER" NUMBER(*,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table EXECUTEDCHANGES
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."EXECUTEDCHANGES" 
   (	"IDCHANGE" VARCHAR2(15 BYTE), 
	"DATEEXECUTION" DATE, 
	"RESULT" VARCHAR2(10 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table GEOAREAAPP
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."GEOAREAAPP" 
   (	"IDAPP" VARCHAR2(15 BYTE), 
	"GEOAREA" VARCHAR2(7 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table INVITATIONS
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."INVITATIONS" 
   (	"IDHOST" VARCHAR2(15 BYTE), 
	"IDGUEST" VARCHAR2(15 BYTE), 
	"INIDATE" DATE, 
	"REASON" VARCHAR2(60 BYTE), 
	"ENDDATE" DATE
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table LOGTABLE
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."LOGTABLE" 
   (	"IDLOG" NUMBER GENERATED ALWAYS AS IDENTITY MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE  NOKEEP  NOSCALE , 
	"PROCEDURENAME" VARCHAR2(40 BYTE), 
	"DATEEXECUTION" DATE DEFAULT sysdate, 
	"NEWVALUE" VARCHAR2(500 BYTE), 
	"OUTPUT" VARCHAR2(500 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table MEMBERGCAB
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."MEMBERGCAB" 
   (	"IDMEMBER" VARCHAR2(15 BYTE), 
	"ROLEGCAB" VARCHAR2(2 BYTE), 
	"SUBSTITUTE" VARCHAR2(15 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table PERSON
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."PERSON" 
   (	"IDPERSON" VARCHAR2(15 BYTE), 
	"NIF" VARCHAR2(10 BYTE), 
	"NAME" VARCHAR2(20 BYTE), 
	"SURNAME" VARCHAR2(40 BYTE), 
	"BIRTHDATE" DATE, 
	"GENDER" VARCHAR2(6 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table REPLANNEDCHANGES
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."REPLANNEDCHANGES" 
   (	"GEOAREA" VARCHAR2(7 BYTE), 
	"REPLANNED" NUMBER(*,0), 
	"TOTAL" NUMBER(*,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table SUBSTITUTIONS
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."SUBSTITUTIONS" 
   (	"IDPERSON" VARCHAR2(15 BYTE), 
	"INIDATE" DATE, 
	"SUBSTITUTE" VARCHAR2(15 BYTE), 
	"ISPLANNED" VARCHAR2(1 BYTE), 
	"REASON" VARCHAR2(60 BYTE), 
	"ENDDATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table TECHNICALMANAGERDATA
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."TECHNICALMANAGERDATA" 
   (	"TECHNICALMANAGER" VARCHAR2(15 BYTE), 
	"CORRECTEXECUTIONS" NUMBER(*,0) DEFAULT 0, 
	"CURRCHANGES" NUMBER(*,0) DEFAULT 0
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Table UNPLANNEDSUBSTITUTIONS
--------------------------------------------------------

  CREATE TABLE "MFABREGARO"."UNPLANNEDSUBSTITUTIONS" 
   (	"IDAPPROVER" VARCHAR2(15 BYTE), 
	"UNPLANNEDSUBST" NUMBER(*,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
REM INSERTING into MFABREGARO.ACTION
SET DEFINE OFF;
Insert into MFABREGARO.ACTION (IDACTION,IDPLAN,NAME,DESCRIPTION,DATEACTION) values ('AT1','AP2','Accio 1 pla 2','descripcio',to_date('20/03/23','DD/MM/RR'));
Insert into MFABREGARO.ACTION (IDACTION,IDPLAN,NAME,DESCRIPTION,DATEACTION) values ('AT2','AP2','Accio 2 pla 2','descripcio',to_date('20/03/23','DD/MM/RR'));
Insert into MFABREGARO.ACTION (IDACTION,IDPLAN,NAME,DESCRIPTION,DATEACTION) values ('AT1','AP3','Accio 1 pla 3','descripcio',to_date('20/11/23','DD/MM/RR'));
Insert into MFABREGARO.ACTION (IDACTION,IDPLAN,NAME,DESCRIPTION,DATEACTION) values ('AT2','AP3','Accio 2 pla 3','descripcio',to_date('20/11/23','DD/MM/RR'));
Insert into MFABREGARO.ACTION (IDACTION,IDPLAN,NAME,DESCRIPTION,DATEACTION) values ('AT1','AP4','Accio 1 pla 4','descripcio',to_date('20/11/23','DD/MM/RR'));
Insert into MFABREGARO.ACTION (IDACTION,IDPLAN,NAME,DESCRIPTION,DATEACTION) values ('AT2','AP4','Accio 2 pla 4','descripcio',to_date('20/11/23','DD/MM/RR'));
Insert into MFABREGARO.ACTION (IDACTION,IDPLAN,NAME,DESCRIPTION,DATEACTION) values ('AT1','AP5','Accio 1 pla 5','descripcio',to_date('20/11/23','DD/MM/RR'));
Insert into MFABREGARO.ACTION (IDACTION,IDPLAN,NAME,DESCRIPTION,DATEACTION) values ('AT2','AP5','Accio 2 pla 5','descripcio',to_date('20/11/23','DD/MM/RR'));
Insert into MFABREGARO.ACTION (IDACTION,IDPLAN,NAME,DESCRIPTION,DATEACTION) values ('AT1','AP1','Acci 1 pla 1','descripci',to_date('20/03/21','DD/MM/RR'));
Insert into MFABREGARO.ACTION (IDACTION,IDPLAN,NAME,DESCRIPTION,DATEACTION) values ('AT2','AP1','Acci 1 pla 1','descripci',to_date('15/05/21','DD/MM/RR'));
REM INSERTING into MFABREGARO.ACTIONPLAN
SET DEFINE OFF;
Insert into MFABREGARO.ACTIONPLAN (IDPLAN,NAME,DESCRIPTION,ISVALIDATED,INIDATE,ENDDATE,EXECUTEDCHANGE,RESPONSIBLE,VALIDATOR) values ('AP2','segon AP','descripcio','F',to_date('15/02/23','DD/MM/RR'),to_date('15/08/23','DD/MM/RR'),'C1','P3','P1');
Insert into MFABREGARO.ACTIONPLAN (IDPLAN,NAME,DESCRIPTION,ISVALIDATED,INIDATE,ENDDATE,EXECUTEDCHANGE,RESPONSIBLE,VALIDATOR) values ('AP3','tercer AP','descripcio','F',to_date('15/02/23','DD/MM/RR'),to_date('15/08/23','DD/MM/RR'),'C2','P7','P1');
Insert into MFABREGARO.ACTIONPLAN (IDPLAN,NAME,DESCRIPTION,ISVALIDATED,INIDATE,ENDDATE,EXECUTEDCHANGE,RESPONSIBLE,VALIDATOR) values ('AP4','quart AP','descripcio','F',to_date('15/02/23','DD/MM/RR'),to_date('15/08/23','DD/MM/RR'),'C5','P3','P1');
Insert into MFABREGARO.ACTIONPLAN (IDPLAN,NAME,DESCRIPTION,ISVALIDATED,INIDATE,ENDDATE,EXECUTEDCHANGE,RESPONSIBLE,VALIDATOR) values ('AP5','cinque AP','descripcio','F',to_date('15/02/23','DD/MM/RR'),to_date('15/08/23','DD/MM/RR'),'C6','P7','P1');
Insert into MFABREGARO.ACTIONPLAN (IDPLAN,NAME,DESCRIPTION,ISVALIDATED,INIDATE,ENDDATE,EXECUTEDCHANGE,RESPONSIBLE,VALIDATOR) values ('AP1','primer AP','descripci modif','T',to_date('15/02/21','DD/MM/RR'),to_date('15/08/21','DD/MM/RR'),'C23','P3','P1');
REM INSERTING into MFABREGARO.ACTIONSINTIME
SET DEFINE OFF;
Insert into MFABREGARO.ACTIONSINTIME (YEARACTION,INTIME,TOTAL) values ('2023','2','8');
Insert into MFABREGARO.ACTIONSINTIME (YEARACTION,INTIME,TOTAL) values ('2021','2','2');
REM INSERTING into MFABREGARO.APPINVENTORY
SET DEFINE OFF;
Insert into MFABREGARO.APPINVENTORY (IDAPP,APPNAME,DATEPRO,TECHNOLOGY,INFRAESTRUCTURE,NUMUSERS,CRITICALITY,IMPACTOOS,TECHNICALRESP,BUSINESSRESP) values ('A1','primera app',to_date('15/03/20','DD/MM/RR'),'tech','infra','10000','2','Low','P3','P5');
Insert into MFABREGARO.APPINVENTORY (IDAPP,APPNAME,DATEPRO,TECHNOLOGY,INFRAESTRUCTURE,NUMUSERS,CRITICALITY,IMPACTOOS,TECHNICALRESP,BUSINESSRESP) values ('A2','segona app',to_date('15/04/21','DD/MM/RR'),'tech','infra','10000','2','Low','P7','P9');
Insert into MFABREGARO.APPINVENTORY (IDAPP,APPNAME,DATEPRO,TECHNOLOGY,INFRAESTRUCTURE,NUMUSERS,CRITICALITY,IMPACTOOS,TECHNICALRESP,BUSINESSRESP) values ('A3','tercera app',to_date('15/01/22','DD/MM/RR'),'tech','infra','70000','6','Medium','P11','P13');
Insert into MFABREGARO.APPINVENTORY (IDAPP,APPNAME,DATEPRO,TECHNOLOGY,INFRAESTRUCTURE,NUMUSERS,CRITICALITY,IMPACTOOS,TECHNICALRESP,BUSINESSRESP) values ('A4','quarta app',to_date('15/06/22','DD/MM/RR'),'tech','infra','60000','5','Medium','P15','P17');
Insert into MFABREGARO.APPINVENTORY (IDAPP,APPNAME,DATEPRO,TECHNOLOGY,INFRAESTRUCTURE,NUMUSERS,CRITICALITY,IMPACTOOS,TECHNICALRESP,BUSINESSRESP) values ('A5','cinquena app',to_date('15/06/23','DD/MM/RR'),'tech','infra','700000','10','High','P19','P21');
Insert into MFABREGARO.APPINVENTORY (IDAPP,APPNAME,DATEPRO,TECHNOLOGY,INFRAESTRUCTURE,NUMUSERS,CRITICALITY,IMPACTOOS,TECHNICALRESP,BUSINESSRESP) values ('A6','sisena app',to_date('04/12/23','DD/MM/RR'),'tech','infra','200000','2','High','P19','P21');
Insert into MFABREGARO.APPINVENTORY (IDAPP,APPNAME,DATEPRO,TECHNOLOGY,INFRAESTRUCTURE,NUMUSERS,CRITICALITY,IMPACTOOS,TECHNICALRESP,BUSINESSRESP) values ('A7','setena app',to_date('04/12/20','DD/MM/RR'),'tech','infra','80000','5','Medium','P19','P21');
REM INSERTING into MFABREGARO.APPROVAL
SET DEFINE OFF;
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P3','C21',to_date('15/03/15','DD/MM/RR'),'TM','Aprovaci TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P5','C21',to_date('15/03/15','DD/MM/RR'),'BM','Aprovaci BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P7','C22',to_date('15/03/15','DD/MM/RR'),'TM','Aprovaci TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P9','C22',to_date('15/03/15','DD/MM/RR'),'BM','Aprovaci BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C22',to_date('15/03/15','DD/MM/RR'),'CM','Aprovaci CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P19','C23',to_date('15/03/15','DD/MM/RR'),'TM','Aprovaci TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P21','C23',to_date('15/03/15','DD/MM/RR'),'BM','Aprovaci BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C23',to_date('15/03/15','DD/MM/RR'),'CM','Aprovaci CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P19','C24',to_date('15/03/15','DD/MM/RR'),'TM','Aprovaci TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P21','C24',to_date('15/03/15','DD/MM/RR'),'BM','Aprovaci BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C24',to_date('15/03/15','DD/MM/RR'),'CM','Aprovaci CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P19','C25',to_date('15/03/15','DD/MM/RR'),'TM','Aprovaci TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P21','C25',to_date('15/03/15','DD/MM/RR'),'BM','Aprovaci BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C25',to_date('15/03/15','DD/MM/RR'),'CM','Aprovaci CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C21',to_date('15/03/15','DD/MM/RR'),'CM','Aprovaci CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P5','C13',to_date('01/06/23','DD/MM/RR'),'BM','Aprovaci BM modificada');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P19','C3',to_date('05/01/24','DD/MM/RR'),'TM','Aprovacio TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P21','C3',to_date('05/01/24','DD/MM/RR'),'BM','Aprovacio BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C3',to_date('05/01/24','DD/MM/RR'),'CM','Aprovacio CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P19','C4',to_date('05/01/24','DD/MM/RR'),'TM','Aprovacio TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P7','C14',to_date('15/03/23','DD/MM/RR'),'TM','Aprovaci TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P9','C14',to_date('15/03/23','DD/MM/RR'),'BM','Aprovaci BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C14',to_date('15/03/23','DD/MM/RR'),'CM','Aprovaci CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P19','C15',to_date('15/03/23','DD/MM/RR'),'TM','Aprovaci TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P21','C15',to_date('15/03/23','DD/MM/RR'),'BM','Aprovaci BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C15',to_date('15/03/23','DD/MM/RR'),'CM','Aprovaci CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P19','C16',to_date('15/03/23','DD/MM/RR'),'TM','Aprovaci TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P21','C16',to_date('15/03/23','DD/MM/RR'),'BM','Aprovaci BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C16',to_date('15/03/23','DD/MM/RR'),'CM','Aprovaci CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P3','C17',to_date('15/03/23','DD/MM/RR'),'TM','Aprovaci TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P5','C17',to_date('15/03/23','DD/MM/RR'),'BM','Aprovaci BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C17',to_date('15/03/23','DD/MM/RR'),'CM','Aprovaci CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P7','C18',to_date('15/03/23','DD/MM/RR'),'TM','Aprovaci TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P9','C18',to_date('15/03/23','DD/MM/RR'),'BM','Aprovaci BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C18',to_date('15/03/23','DD/MM/RR'),'CM','Aprovaci CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P19','C19',to_date('15/03/23','DD/MM/RR'),'TM','Aprovaci TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P21','C19',to_date('15/03/23','DD/MM/RR'),'BM','Aprovaci BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C19',to_date('15/03/23','DD/MM/RR'),'CM','Aprovaci CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P19','C20',to_date('15/03/23','DD/MM/RR'),'TM','Aprovaci TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P21','C20',to_date('15/03/23','DD/MM/RR'),'BM','Aprovaci BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C20',to_date('15/03/23','DD/MM/RR'),'CM','Aprovaci CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P21','C4',to_date('05/01/24','DD/MM/RR'),'BM','Aprovacio BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C4',to_date('05/01/24','DD/MM/RR'),'CM','Aprovacio CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P19','C7',to_date('05/01/24','DD/MM/RR'),'TM','Aprovacio TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P21','C7',to_date('05/01/24','DD/MM/RR'),'BM','Aprovacio BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C7',to_date('05/01/24','DD/MM/RR'),'CM','Aprovacio CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P19','C8',to_date('05/01/24','DD/MM/RR'),'TM','Aprovacio TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P21','C8',to_date('05/01/24','DD/MM/RR'),'BM','Aprovacio BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C8',to_date('05/01/24','DD/MM/RR'),'CM','Aprovacio CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P3','C1',to_date('05/01/23','DD/MM/RR'),'TM','Aprovacio TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P5','C1',to_date('05/01/23','DD/MM/RR'),'BM','Aprovacio BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C1',to_date('05/01/23','DD/MM/RR'),'CM','Aprovacio CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P7','C2',to_date('05/01/23','DD/MM/RR'),'TM','Aprovacio TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P9','C2',to_date('05/01/23','DD/MM/RR'),'BM','Aprovacio BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C2',to_date('05/01/23','DD/MM/RR'),'CM','Aprovacio CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P3','C5',to_date('05/01/23','DD/MM/RR'),'TM','Aprovacio TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P5','C5',to_date('05/01/23','DD/MM/RR'),'BM','Aprovacio BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C5',to_date('05/01/23','DD/MM/RR'),'CM','Aprovacio CM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P7','C6',to_date('05/01/23','DD/MM/RR'),'TM','Aprovacio TM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P9','C6',to_date('05/01/23','DD/MM/RR'),'BM','Aprovacio BM');
Insert into MFABREGARO.APPROVAL (IDPERSON,IDCHANGE,DATEAPPROVAL,ROLEAPPROVER,COMMENTARY) values ('P1','C6',to_date('05/01/23','DD/MM/RR'),'CM','Aprovacio CM');
REM INSERTING into MFABREGARO.BREACHES
SET DEFINE OFF;
Insert into MFABREGARO.BREACHES (IDBREACH,NAME,REFERENCETO,DESCRIPTION,DATEBREACH,RESULTBREACH) values ('B1','1a Breach modificada','C2','description',to_date('25/11/23','DD/MM/RR'),'KO');
Insert into MFABREGARO.BREACHES (IDBREACH,NAME,REFERENCETO,DESCRIPTION,DATEBREACH,RESULTBREACH) values ('B2','segona Breach','A2','description',to_date('25/12/23','DD/MM/RR'),'OK');
Insert into MFABREGARO.BREACHES (IDBREACH,NAME,REFERENCETO,DESCRIPTION,DATEBREACH,RESULTBREACH) values ('B3','tercera Breach','A3','description',to_date('10/04/23','DD/MM/RR'),'KO');
Insert into MFABREGARO.BREACHES (IDBREACH,NAME,REFERENCETO,DESCRIPTION,DATEBREACH,RESULTBREACH) values ('B4','quarta Breach','A4','description',to_date('10/12/23','DD/MM/RR'),'KO');
Insert into MFABREGARO.BREACHES (IDBREACH,NAME,REFERENCETO,DESCRIPTION,DATEBREACH,RESULTBREACH) values ('B5','5a Breach','C4','description',to_date('10/04/23','DD/MM/RR'),'KO');
Insert into MFABREGARO.BREACHES (IDBREACH,NAME,REFERENCETO,DESCRIPTION,DATEBREACH,RESULTBREACH) values ('B6','6a Breach','C5','description',to_date('10/12/23','DD/MM/RR'),'KO');
Insert into MFABREGARO.BREACHES (IDBREACH,NAME,REFERENCETO,DESCRIPTION,DATEBREACH,RESULTBREACH) values ('B7','7a Breach','C6','description',to_date('10/04/23','DD/MM/RR'),'KO');
Insert into MFABREGARO.BREACHES (IDBREACH,NAME,REFERENCETO,DESCRIPTION,DATEBREACH,RESULTBREACH) values ('B8','8a Breach','C6','description',to_date('10/12/23','DD/MM/RR'),'OK');
Insert into MFABREGARO.BREACHES (IDBREACH,NAME,REFERENCETO,DESCRIPTION,DATEBREACH,RESULTBREACH) values ('B9','9a Breach','A7','description',to_date('10/04/23','DD/MM/RR'),'OK');
Insert into MFABREGARO.BREACHES (IDBREACH,NAME,REFERENCETO,DESCRIPTION,DATEBREACH,RESULTBREACH) values ('B10','10a Breach','A6','description',to_date('10/12/23','DD/MM/RR'),'KO');
REM INSERTING into MFABREGARO.CHANGECATEGORY
SET DEFINE OFF;
Insert into MFABREGARO.CHANGECATEGORY (IMPORTANCE,CREATIONDATE,DATEIN,DATEOUT) values ('1',to_date('01/01/10','DD/MM/RR'),to_date('01/01/10','DD/MM/RR'),null);
Insert into MFABREGARO.CHANGECATEGORY (IMPORTANCE,CREATIONDATE,DATEIN,DATEOUT) values ('2',to_date('01/01/10','DD/MM/RR'),to_date('01/01/10','DD/MM/RR'),null);
Insert into MFABREGARO.CHANGECATEGORY (IMPORTANCE,CREATIONDATE,DATEIN,DATEOUT) values ('3',to_date('01/01/10','DD/MM/RR'),to_date('01/01/10','DD/MM/RR'),null);
REM INSERTING into MFABREGARO.CHANGES
SET DEFINE OFF;
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C21','Canvi 21','Descripci','High','1','A1','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C22','Canvi 22','Descripci','Low','3','A2','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C23','Canvi 21','Descripci','High','1','A5','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C24','Canvi 24','Descripci','Low','1','A6','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C25','Canvi 25','Descripci','Medium','2','A7','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C13','Canvi 13','Descripci','High','1','A1','PA');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C10','Canvi 10','Descripci','Low','3','A2','RE');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C14','Canvi 14','Descripci','Low','3','A2','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C15','Canvi 15','Descripci','Low','1','A6','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C16','Canvi 16','Descripci','Medium','2','A7','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C17','Canvi 17','Descripci','High','1','A1','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C18','Canvi 18','Descripci','Low','3','A2','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C19','Canvi 19','Descripci','Low','1','A6','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C20','Canvi 20','Descripci','Medium','2','A7','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C11','Canvi 11','Descripci','Low','1','A6','RE');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C12','Canvi 12','Descripci','Medium','2','A7','RE');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C9','Canvi 9','Descripci','High','1','A1','RE');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C1','Canvi 1','Descripci','High','1','A1','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C2','Canvi 2','Descripci','Low','3','A2','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C3','Canvi 3','Descripci','Low','1','A6','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C4','Canvi 4','Descripci','Medium','2','A7','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C5','Canvi 5','Descripci','High','1','A1','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C6','Canvi 6','Descripci','Low','3','A2','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C7','Canvi 7 modificat','Descripci modificat','Medium','2','A7','AP');
Insert into MFABREGARO.CHANGES (IDCHANGE,NAME,DESCRIPTION,GEOSCOPE,CATEGORY,APPLICATION,STATUSCHANGE) values ('C8','Canvi 8','Descripci','Medium','2','A7','AP');
REM INSERTING into MFABREGARO.COUNTERS
SET DEFINE OFF;
Insert into MFABREGARO.COUNTERS (IDCOUNTER,YEARINFO,TOTALNUMBER) values ('AP','2015','5');
Insert into MFABREGARO.COUNTERS (IDCOUNTER,YEARINFO,TOTALNUMBER) values ('IE','2020','1');
Insert into MFABREGARO.COUNTERS (IDCOUNTER,YEARINFO,TOTALNUMBER) values ('IE','2021','0');
Insert into MFABREGARO.COUNTERS (IDCOUNTER,YEARINFO,TOTALNUMBER) values ('IE','2022','0');
Insert into MFABREGARO.COUNTERS (IDCOUNTER,YEARINFO,TOTALNUMBER) values ('AP','2024','4');
Insert into MFABREGARO.COUNTERS (IDCOUNTER,YEARINFO,TOTALNUMBER) values ('RE','2022','3');
Insert into MFABREGARO.COUNTERS (IDCOUNTER,YEARINFO,TOTALNUMBER) values ('RE','2023','1');
Insert into MFABREGARO.COUNTERS (IDCOUNTER,YEARINFO,TOTALNUMBER) values ('AP','2023','11');
Insert into MFABREGARO.COUNTERS (IDCOUNTER,YEARINFO,TOTALNUMBER) values ('PA','9999','0');
Insert into MFABREGARO.COUNTERS (IDCOUNTER,YEARINFO,TOTALNUMBER) values ('IE','2023','5');
Insert into MFABREGARO.COUNTERS (IDCOUNTER,YEARINFO,TOTALNUMBER) values ('BR','9999','4');
Insert into MFABREGARO.COUNTERS (IDCOUNTER,YEARINFO,TOTALNUMBER) values ('OP','9999','4');
REM INSERTING into MFABREGARO.EXECUTEDCHANGES
SET DEFINE OFF;
Insert into MFABREGARO.EXECUTEDCHANGES (IDCHANGE,DATEEXECUTION,RESULT) values ('C22',to_date('15/02/21','DD/MM/RR'),'Correct');
Insert into MFABREGARO.EXECUTEDCHANGES (IDCHANGE,DATEEXECUTION,RESULT) values ('C23',to_date('15/02/23','DD/MM/RR'),'Replanned');
Insert into MFABREGARO.EXECUTEDCHANGES (IDCHANGE,DATEEXECUTION,RESULT) values ('C21',to_date('15/02/20','DD/MM/RR'),'Replanned');
Insert into MFABREGARO.EXECUTEDCHANGES (IDCHANGE,DATEEXECUTION,RESULT) values ('C1',to_date('15/02/23','DD/MM/RR'),'Incidences');
Insert into MFABREGARO.EXECUTEDCHANGES (IDCHANGE,DATEEXECUTION,RESULT) values ('C2',to_date('15/02/23','DD/MM/RR'),'Incidences');
Insert into MFABREGARO.EXECUTEDCHANGES (IDCHANGE,DATEEXECUTION,RESULT) values ('C5',to_date('15/02/23','DD/MM/RR'),'Incidences');
Insert into MFABREGARO.EXECUTEDCHANGES (IDCHANGE,DATEEXECUTION,RESULT) values ('C6',to_date('15/02/23','DD/MM/RR'),'Incidences');
Insert into MFABREGARO.EXECUTEDCHANGES (IDCHANGE,DATEEXECUTION,RESULT) values ('C3',to_date('15/02/24','DD/MM/RR'),'Correct');
Insert into MFABREGARO.EXECUTEDCHANGES (IDCHANGE,DATEEXECUTION,RESULT) values ('C4',to_date('15/02/24','DD/MM/RR'),'Correct');
Insert into MFABREGARO.EXECUTEDCHANGES (IDCHANGE,DATEEXECUTION,RESULT) values ('C7',to_date('15/02/24','DD/MM/RR'),'Correct');
Insert into MFABREGARO.EXECUTEDCHANGES (IDCHANGE,DATEEXECUTION,RESULT) values ('C8',to_date('15/02/24','DD/MM/RR'),'Correct');
REM INSERTING into MFABREGARO.GEOAREAAPP
SET DEFINE OFF;
REM INSERTING into MFABREGARO.INVITATIONS
SET DEFINE OFF;
REM INSERTING into MFABREGARO.LOGTABLE
SET DEFINE OFF;
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1472','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A6C3P1905/01/24Aprovacio TM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1473','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A6C3P2105/01/24Aprovacio BM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1474','MODIFYSTATUSCHANGE',to_date('14/01/24','DD/MM/RR'),'C3AP','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1475','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'AP2024','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1476','DECREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'PA9999','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1477','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A6C3P105/01/24Aprovacio CM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1478','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A7C4P1905/01/24Aprovacio TM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1479','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A7C4P2105/01/24Aprovacio BM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1480','MODIFYSTATUSCHANGE',to_date('14/01/24','DD/MM/RR'),'C4AP','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1481','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'AP2024','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1482','DECREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'PA9999','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1483','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A7C4P105/01/24Aprovacio CM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1484','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A7C7P1905/01/24Aprovacio TM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1485','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A7C7P2105/01/24Aprovacio BM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1486','MODIFYSTATUSCHANGE',to_date('14/01/24','DD/MM/RR'),'C7AP','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1487','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'AP2024','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1488','DECREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'PA9999','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1489','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A7C7P105/01/24Aprovacio CM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1490','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A7C8P1905/01/24Aprovacio TM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1491','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A7C8P2105/01/24Aprovacio BM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1492','MODIFYSTATUSCHANGE',to_date('14/01/24','DD/MM/RR'),'C8AP','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1493','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'AP2024','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1494','DECREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'PA9999','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1495','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A7C8P105/01/24Aprovacio CM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1496','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A1C1P305/01/23Aprovacio TM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1497','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A1C1P505/01/23Aprovacio BM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1498','MODIFYSTATUSCHANGE',to_date('14/01/24','DD/MM/RR'),'C1AP','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1499','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'AP2023','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1500','DECREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'PA9999','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1501','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A1C1P105/01/23Aprovacio CM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1502','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A2C2P705/01/23Aprovacio TM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1503','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A2C2P905/01/23Aprovacio BM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1504','MODIFYSTATUSCHANGE',to_date('14/01/24','DD/MM/RR'),'C2AP','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1505','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'AP2023','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1506','DECREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'PA9999','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1507','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A2C2P105/01/23Aprovacio CM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1508','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A1C5P305/01/23Aprovacio TM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1509','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A1C5P505/01/23Aprovacio BM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1510','MODIFYSTATUSCHANGE',to_date('14/01/24','DD/MM/RR'),'C5AP','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1511','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'AP2023','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1512','DECREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'PA9999','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1513','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A1C5P105/01/23Aprovacio CM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1514','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A2C6P705/01/23Aprovacio TM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1515','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A2C6P905/01/23Aprovacio BM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1516','MODIFYSTATUSCHANGE',to_date('14/01/24','DD/MM/RR'),'C6AP','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1517','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'AP2023','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1518','DECREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'PA9999','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1519','APPROVECHANGE',to_date('14/01/24','DD/MM/RR'),'A2C6P105/01/23Aprovacio CM','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1520','UPDATEREPLANNEDCHANGES',to_date('14/01/24','DD/MM/RR'),'A1TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1521','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'IE2023','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1522','EXECUTECHANGE',to_date('14/01/24','DD/MM/RR'),'C115/02/23Incidences','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1523','UPDATEREPLANNEDCHANGES',to_date('14/01/24','DD/MM/RR'),'A2TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1524','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'IE2023','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1525','EXECUTECHANGE',to_date('14/01/24','DD/MM/RR'),'C215/02/23Incidences','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1526','UPDATEREPLANNEDCHANGES',to_date('14/01/24','DD/MM/RR'),'A1TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1527','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'IE2023','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1528','EXECUTECHANGE',to_date('14/01/24','DD/MM/RR'),'C515/02/23Incidences','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1529','UPDATEREPLANNEDCHANGES',to_date('14/01/24','DD/MM/RR'),'A2TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1530','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'IE2023','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1531','EXECUTECHANGE',to_date('14/01/24','DD/MM/RR'),'C615/02/23Incidences','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1532','UPDATEREPLANNEDCHANGES',to_date('14/01/24','DD/MM/RR'),'A6TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1533','INCREASECORRECTEXECUTIONSTM',to_date('14/01/24','DD/MM/RR'),'A6','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1534','DECREASECURRCHANGESTM',to_date('14/01/24','DD/MM/RR'),'A6','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1535','EXECUTECHANGE',to_date('14/01/24','DD/MM/RR'),'C315/02/24Correct','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1536','UPDATEREPLANNEDCHANGES',to_date('14/01/24','DD/MM/RR'),'A7TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1537','INCREASECORRECTEXECUTIONSTM',to_date('14/01/24','DD/MM/RR'),'A7','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1538','DECREASECURRCHANGESTM',to_date('14/01/24','DD/MM/RR'),'A7','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1539','EXECUTECHANGE',to_date('14/01/24','DD/MM/RR'),'C415/02/24Correct','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1540','UPDATEREPLANNEDCHANGES',to_date('14/01/24','DD/MM/RR'),'A7TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1541','INCREASECORRECTEXECUTIONSTM',to_date('14/01/24','DD/MM/RR'),'A7','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1542','DECREASECURRCHANGESTM',to_date('14/01/24','DD/MM/RR'),'A7','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1543','EXECUTECHANGE',to_date('14/01/24','DD/MM/RR'),'C715/02/24Correct','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1544','UPDATEREPLANNEDCHANGES',to_date('14/01/24','DD/MM/RR'),'A7TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1545','INCREASECORRECTEXECUTIONSTM',to_date('14/01/24','DD/MM/RR'),'A7','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1546','DECREASECURRCHANGESTM',to_date('14/01/24','DD/MM/RR'),'A7','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1548','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'OP9999','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1549','CREATEACTIONPLAN',to_date('14/01/24','DD/MM/RR'),'AP2segon APdescripcio15/02/2315/08/23C1','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1550','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'OP9999','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1551','CREATEACTIONPLAN',to_date('14/01/24','DD/MM/RR'),'AP3tercer APdescripcio15/02/2315/08/23C2','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1552','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'OP9999','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1553','CREATEACTIONPLAN',to_date('14/01/24','DD/MM/RR'),'AP4quart APdescripcio15/02/2315/08/23C5','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1554','INCREASECOUNTERS',to_date('14/01/24','DD/MM/RR'),'OP9999','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1555','CREATEACTIONPLAN',to_date('14/01/24','DD/MM/RR'),'AP5cinque APdescripcio15/02/2315/08/23C6','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1556','CREATEACTION',to_date('14/01/24','DD/MM/RR'),'AT1AP2Accio 1 pla 2descripcio','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1557','CREATEACTION',to_date('14/01/24','DD/MM/RR'),'AT2AP2Accio 2 pla 2descripcio','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1558','CREATEACTION',to_date('14/01/24','DD/MM/RR'),'AT1AP3Accio 1 pla 3descripcio','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1559','CREATEACTION',to_date('14/01/24','DD/MM/RR'),'AT2AP3Accio 2 pla 3descripcio','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1560','CREATEACTION',to_date('14/01/24','DD/MM/RR'),'AT1AP4Accio 1 pla 4descripcio','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1561','CREATEACTION',to_date('14/01/24','DD/MM/RR'),'AT2AP4Accio 2 pla 4descripcio','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1562','CREATEACTION',to_date('14/01/24','DD/MM/RR'),'AT1AP5Accio 1 pla 5descripcio','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1563','CREATEACTION',to_date('14/01/24','DD/MM/RR'),'AT2AP5Accio 2 pla 5descripcio','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1564','UPDATEACTIONSINTIME',to_date('14/01/24','DD/MM/RR'),'20/03/23TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1565','UPDATEACTIONSINTIME',to_date('14/01/24','DD/MM/RR'),'20/03/23InTimeIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1566','MODIFYACTIONDATE',to_date('14/01/24','DD/MM/RR'),'AT1AP220/03/23','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1567','UPDATEACTIONSINTIME',to_date('14/01/24','DD/MM/RR'),'20/03/23TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1568','UPDATEACTIONSINTIME',to_date('14/01/24','DD/MM/RR'),'20/03/23InTimeIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1569','MODIFYACTIONDATE',to_date('14/01/24','DD/MM/RR'),'AT2AP220/03/23','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1570','UPDATEACTIONSINTIME',to_date('14/01/24','DD/MM/RR'),'20/11/23TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1571','MODIFYACTIONDATE',to_date('14/01/24','DD/MM/RR'),'AT1AP320/11/23','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1572','UPDATEACTIONSINTIME',to_date('14/01/24','DD/MM/RR'),'20/11/23TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1573','MODIFYACTIONDATE',to_date('14/01/24','DD/MM/RR'),'AT2AP320/11/23','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1574','UPDATEACTIONSINTIME',to_date('14/01/24','DD/MM/RR'),'20/11/23TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1575','MODIFYACTIONDATE',to_date('14/01/24','DD/MM/RR'),'AT1AP420/11/23','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1576','UPDATEACTIONSINTIME',to_date('14/01/24','DD/MM/RR'),'20/11/23TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1577','MODIFYACTIONDATE',to_date('14/01/24','DD/MM/RR'),'AT2AP420/11/23','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1578','UPDATEACTIONSINTIME',to_date('14/01/24','DD/MM/RR'),'20/11/23TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1579','MODIFYACTIONDATE',to_date('14/01/24','DD/MM/RR'),'AT1AP520/11/23','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1580','UPDATEACTIONSINTIME',to_date('14/01/24','DD/MM/RR'),'20/11/23TotalIncrease','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1581','MODIFYACTIONDATE',to_date('14/01/24','DD/MM/RR'),'AT2AP520/11/23','OK');
Insert into MFABREGARO.LOGTABLE (IDLOG,PROCEDURENAME,DATEEXECUTION,NEWVALUE,OUTPUT) values ('1547','EXECUTECHANGE',to_date('14/01/24','DD/MM/RR'),'C815/02/24Correct','OK');
REM INSERTING into MFABREGARO.MEMBERGCAB
SET DEFINE OFF;
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P1','CM','P2');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P3','TM','P4');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P5','BM','P6');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P7','TM','P8');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P9','BM','P10');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P11','TM','P12');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P13','BM','P14');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P15','TM','P16');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P17','BM','P18');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P19','TM','P20');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P21','BM','P22');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P23','TM','P24');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P25','BM','P26');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P27','TM','P28');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P29','BM','P30');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P31','TM','P32');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P33','BM','P34');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P35','TM','P36');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P37','BM','P38');
Insert into MFABREGARO.MEMBERGCAB (IDMEMBER,ROLEGCAB,SUBSTITUTE) values ('P39','TM','P40');
REM INSERTING into MFABREGARO.PERSON
SET DEFINE OFF;
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P1','NIF1','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P2','NIF2','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P3','NIF3','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P4','NIF4','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P5','NIF5','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P6','NIF6','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P7','NIF7','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P8','NIF8','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P9','NIF9','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P10','NIF10','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P11','NIF11','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P12','NIF12','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P13','NIF13','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P14','NIF14','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P15','NIF15','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P16','NIF16','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P17','NIF17','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P18','NIF18','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P19','NIF19','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P20','NIF20','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P21','NIF21','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P22','NIF22','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P23','NIF23','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P24','NIF24','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P25','NIF25','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P26','NIF26','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P27','NIF27','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P28','NIF28','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P29','NIF29','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P30','NIF30','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P31','NIF31','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P32','NIF32','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P33','NIF33','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P34','NIF34','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P35','NIF35','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P36','NIF36','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P37','NIF37','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P38','NIF38','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P39','NIF39','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P40','NIF40','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P41','NIF41','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P42','NIF42','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P43','NIF43','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P44','NIF44','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P45','NIF45','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P46','NIF46','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P47','NIF47','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P48','NIF48','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P49','NIF49','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P50','NIF50','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P51','NIF51','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P52','NIF52','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P53','NIF53','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P54','NIF54','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P55','NIF55','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P56','NIF56','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P57','NIF57','Michael','Scott',to_date('01/01/00','DD/MM/RR'),'Male');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P58','NIF58','Lara','Scott',to_date('01/02/00','DD/MM/RR'),'Female');
Insert into MFABREGARO.PERSON (IDPERSON,NIF,NAME,SURNAME,BIRTHDATE,GENDER) values ('P59','NIF59','Rey','Hitchcock',to_date('01/03/00','DD/MM/RR'),'Other');
REM INSERTING into MFABREGARO.REPLANNEDCHANGES
SET DEFINE OFF;
Insert into MFABREGARO.REPLANNEDCHANGES (GEOAREA,REPLANNED,TOTAL) values ('Europa','1','2');
Insert into MFABREGARO.REPLANNEDCHANGES (GEOAREA,REPLANNED,TOTAL) values ('America','2','2');
Insert into MFABREGARO.REPLANNEDCHANGES (GEOAREA,REPLANNED,TOTAL) values ('Asia','2','2');
Insert into MFABREGARO.REPLANNEDCHANGES (GEOAREA,REPLANNED,TOTAL) values ('Oceania','2','2');
REM INSERTING into MFABREGARO.SUBSTITUTIONS
SET DEFINE OFF;
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P11',to_date('01/02/10','DD/MM/RR'),'P12','T','Vacances modif',to_date('11/02/10','DD/MM/RR'));
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P13',to_date('01/02/10','DD/MM/RR'),'P14','T','Vacances',to_date('01/03/10','DD/MM/RR'));
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P15',to_date('01/02/10','DD/MM/RR'),'P16','T','Vacances',to_date('01/03/10','DD/MM/RR'));
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P19',to_date('01/02/10','DD/MM/RR'),'P20','T','Vacances',to_date('01/03/10','DD/MM/RR'));
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P19',to_date('03/03/11','DD/MM/RR'),'P20','F','Malaltia',to_date('05/03/11','DD/MM/RR'));
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P19',to_date('03/04/11','DD/MM/RR'),'P20','F','Malaltia',to_date('05/04/11','DD/MM/RR'));
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P19',to_date('03/05/11','DD/MM/RR'),'P20','F','Malaltia',to_date('05/05/11','DD/MM/RR'));
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P3',to_date('03/03/11','DD/MM/RR'),'P4','F','Malaltia',to_date('05/03/11','DD/MM/RR'));
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P3',to_date('03/04/11','DD/MM/RR'),'P4','F','Malaltia',to_date('05/04/11','DD/MM/RR'));
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P3',to_date('03/05/11','DD/MM/RR'),'P4','F','Malaltia',to_date('05/05/11','DD/MM/RR'));
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P3',to_date('03/06/11','DD/MM/RR'),'P4','F','Malaltia',to_date('05/06/11','DD/MM/RR'));
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P3',to_date('03/07/11','DD/MM/RR'),'P4','F','Malaltia',to_date('05/07/11','DD/MM/RR'));
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P3',to_date('03/08/11','DD/MM/RR'),'P4','F','Malaltia',to_date('05/08/11','DD/MM/RR'));
Insert into MFABREGARO.SUBSTITUTIONS (IDPERSON,INIDATE,SUBSTITUTE,ISPLANNED,REASON,ENDDATE) values ('P7',to_date('03/04/11','DD/MM/RR'),'P8','F','Malaltia',to_date('05/04/11','DD/MM/RR'));
REM INSERTING into MFABREGARO.TECHNICALMANAGERDATA
SET DEFINE OFF;
Insert into MFABREGARO.TECHNICALMANAGERDATA (TECHNICALMANAGER,CORRECTEXECUTIONS,CURRCHANGES) values ('P3','0','0');
Insert into MFABREGARO.TECHNICALMANAGERDATA (TECHNICALMANAGER,CORRECTEXECUTIONS,CURRCHANGES) values ('P7','1','3');
Insert into MFABREGARO.TECHNICALMANAGERDATA (TECHNICALMANAGER,CORRECTEXECUTIONS,CURRCHANGES) values ('P19','4','3');
REM INSERTING into MFABREGARO.UNPLANNEDSUBSTITUTIONS
SET DEFINE OFF;
Insert into MFABREGARO.UNPLANNEDSUBSTITUTIONS (IDAPPROVER,UNPLANNEDSUBST) values ('P19','3');
Insert into MFABREGARO.UNPLANNEDSUBSTITUTIONS (IDAPPROVER,UNPLANNEDSUBST) values ('P3','6');
Insert into MFABREGARO.UNPLANNEDSUBSTITUTIONS (IDAPPROVER,UNPLANNEDSUBST) values ('P7','1');
Insert into MFABREGARO.UNPLANNEDSUBSTITUTIONS (IDAPPROVER,UNPLANNEDSUBST) values ('P11','0');
--------------------------------------------------------
--  DDL for Index AK_PERSON
--------------------------------------------------------

  CREATE UNIQUE INDEX "MFABREGARO"."AK_PERSON" ON "MFABREGARO"."PERSON" ("NIF") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Index PK_ACTION
--------------------------------------------------------

  CREATE UNIQUE INDEX "MFABREGARO"."PK_ACTION" ON "MFABREGARO"."ACTION" ("IDACTION", "IDPLAN") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Index PK_APPROVAL
--------------------------------------------------------

  CREATE UNIQUE INDEX "MFABREGARO"."PK_APPROVAL" ON "MFABREGARO"."APPROVAL" ("IDPERSON", "IDCHANGE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Index PK_CHANGECATEGORY
--------------------------------------------------------

  CREATE UNIQUE INDEX "MFABREGARO"."PK_CHANGECATEGORY" ON "MFABREGARO"."CHANGECATEGORY" ("IMPORTANCE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Index PK_COUNTERS
--------------------------------------------------------

  CREATE UNIQUE INDEX "MFABREGARO"."PK_COUNTERS" ON "MFABREGARO"."COUNTERS" ("IDCOUNTER", "YEARINFO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Index PK_GEOAREAAPP
--------------------------------------------------------

  CREATE UNIQUE INDEX "MFABREGARO"."PK_GEOAREAAPP" ON "MFABREGARO"."GEOAREAAPP" ("IDAPP", "GEOAREA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Index PK_INVITATIONS
--------------------------------------------------------

  CREATE UNIQUE INDEX "MFABREGARO"."PK_INVITATIONS" ON "MFABREGARO"."INVITATIONS" ("IDHOST", "IDGUEST", "INIDATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Index PK_PERSON
--------------------------------------------------------

  CREATE UNIQUE INDEX "MFABREGARO"."PK_PERSON" ON "MFABREGARO"."PERSON" ("IDPERSON") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Index PK_SUBSTITUTIONS
--------------------------------------------------------

  CREATE UNIQUE INDEX "MFABREGARO"."PK_SUBSTITUTIONS" ON "MFABREGARO"."SUBSTITUTIONS" ("IDPERSON", "INIDATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO" ;
--------------------------------------------------------
--  DDL for Procedure ADDLOG
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."ADDLOG" (PROCNAME LOGTABLE.PROCEDURENAME%TYPE,
                                    NEWVALUE LOGTABLE.NEWVALUE%TYPE,
                                    OUTPUT LOGTABLE.OUTPUT%TYPE)
IS
BEGIN                        
    INSERT INTO LOGTABLE(PROCEDURENAME, NEWVALUE, OUTPUT) 
        VALUES(PROCNAME, NEWVALUE, OUTPUT);

END;

/
--------------------------------------------------------
--  DDL for Procedure ADDLOGTEST
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."ADDLOGTEST" (PROCNAME LOGTEST.PROCEDURENAME%TYPE,
                                    NEWVALUE LOGTEST.NEWVALUE%TYPE,
                                    OUTPUT LOGTEST.OUTPUT%TYPE)
IS
BEGIN                        
    INSERT INTO LOGTEST(PROCEDURENAME, NEWVALUE, OUTPUT) 
        VALUES(PROCNAME, NEWVALUE, OUTPUT);
END;

/
--------------------------------------------------------
--  DDL for Procedure APPROVECHANGE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."APPROVECHANGE" (
    i_idapp appinventory.idapp%type,    
    i_idchange changes.idchange%TYPE, 
    i_idperson membergcab.idmember%TYPE, 
    i_date approval.dateapproval%TYPE, i_commentary approval.commentary%TYPE
    , rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    rsp_aux VARCHAR(200);
    v_role membergcab.rolegcab%TYPE;
    v_roleaux membergcab.rolegcab%type;
    v_error varchar(100);
    v_techresp appinventory.technicalresp%type;
    v_busresp appinventory.businessresp%type;
    v_idmember membergcab.idmember%type;
BEGIN
    rsp := 'OK';
    param := i_idapp || i_idchange || i_idperson || i_date || i_commentary;

    --busquem el rol de l'aprovador
    v_error:= 'La persona no s membre del GCAB';
    SELECT idmember, rolegcab
    INTO v_idmember, v_role
    FROM membergcab
    WHERE ( idmember = i_idperson or substitute = i_idperson );

    --si l'aprovador s TM o BM, comprovar que s el TM/BM de l'app
    if v_role = 'TM' then
        v_error:= 'L''aprovador no s el responsable tcnic de l''aplicaci';
        SELECT technicalresp
        INTO v_techresp
        FROM appinventory
        WHERE idapp = i_idapp and technicalresp = v_idmember;
    elsif v_role = 'BM' THEN
        v_error:= 'L''aprovador no s el responsable de negoci de l''aplicaci';
        SELECT businessresp
        INTO v_busresp
        FROM appinventory
        WHERE idapp = i_idapp and businessresp = v_idmember;
    --El gestor de canvis s l'ltim d'aprovar.
    ELSIF v_role = 'CM' THEN
        --Es comprova que el TM hagi aprovat
         v_error:= 'Falta l''aprovaci del TM';
        select roleapprover into v_roleaux
        from approval
        where idchange = i_idchange and roleapprover = 'TM';
        --Es comprova que el BM hagi aprovat
        v_error:= 'Falta l''aprovaci del BM';
        select roleapprover into v_roleaux
        from approval
        where idchange = i_idchange and roleapprover = 'BM';
        --es modifica l'estat del canvi a a provat
        modifystatuschange(i_idchange, 'AP', rsp_aux);
    END IF;

    --s'introdueix l'aprovaci a Approval
    INSERT INTO approval (
        idperson, idchange, dateapproval, roleapprover, commentary
    ) VALUES (
        i_idperson, i_idchange, i_date, v_role, i_commentary
    );

    --En cas que s'hagi aprovat el canvi
    if v_role = 'CM' THEN
        -- +1 valor de canvis aprovats
        increasecounters('AP', extract(year from i_date), rsp_aux);
        -- -1 canvis pendents d'aprovaci
        decreasecounters('PA', '9999', RSP_AUX);
    END IF;
    --registre al log
    addlog($$plsql_unit, param, rsp);

EXCEPTION
    WHEN no_data_found THEN
        rsp := 'ERROR' || ':' || v_error;
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure CALCUL_GEOSCOPE_CATEGORY
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."CALCUL_GEOSCOPE_CATEGORY" (
    idapplication appinventory.idapp%TYPE, geoscope OUT changes.geoscope%TYPE, changecategory OUT changes.category%TYPE
) IS

    param VARCHAR(500);
    rsp VARCHAR(500);
    numgeoarea NUMBER;
    impactoos appinventory.impactoos%TYPE;
BEGIN
    rsp := 'OK';
    param := idapplication;
    SELECT COUNT(*)
    INTO numgeoarea
    FROM geoareaapp
    WHERE idapp = idapplication;

    IF numgeoarea = 0 THEN
        RAISE no_data_found;
    ELSIF numgeoarea = 1 THEN
        geoscope := 'Low';
    ELSIF numgeoarea = 2 THEN
        geoscope := 'Medium';
    ELSE
        geoscope := 'High';
    END IF;

    IF geoscope = 'High' THEN
        changecategory := '1';
    ELSE
        SELECT impactoos
        INTO impactoos
        FROM appinventory
        WHERE idapp = idapplication;

        IF impactoos = 'High' OR geoscope = 'High' THEN
            changecategory := '1';
        ELSIF
            impactoos = 'Low' AND geoscope = 'Low'
        THEN
            changecategory := '3';
        ELSE
            changecategory := '2';
        END IF;

    END IF;

    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN no_data_found THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
        dbms_output.put_line('ERROR: Aplicaci incorrecta');
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure CREATEACTION
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."CREATEACTION" (
    i_idaction action.idaction%type,
    i_idplan action.idplan%type,
    i_name action.name%type,
    i_description action.description%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
BEGIN    
    rsp := 'OK';
    param := i_idaction || i_idplan || i_name || i_description ; 

    INSERT INTO action (
           idaction, idplan, name, description, dateaction
        ) VALUES (
            i_idaction, i_idplan, i_name, i_description, ''
        );

    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION

    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure CREATEACTIONPLAN
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."CREATEACTIONPLAN" (
    i_idplan actionplan.idplan%type,
    i_name actionplan.name%type,
    i_description actionplan.description%type,
    i_inidate actionplan.inidate%type,
    i_enddate actionplan.enddate%type,
    i_idchange changes.idchange%TYPE,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_idapp appinventory.idapp%type;
    v_tm membergcab.idmember%type;
    v_cm membergcab.idmember%type;
    v_howmany number;
    change_not_valid exception;
BEGIN    
    rsp := 'OK';
    param := i_idplan || i_name || i_description || i_inidate || i_enddate || i_idchange; 
    --validar que el canvi ha estat executat amb incidncies o replanificat
    select count(*) into v_howmany
    from executedchanges
    where idchange = i_idchange
    and ( result = 'Incidences' or result = 'Replanned' );
    if v_howmany = 0 then
        raise change_not_valid;
    end if;
    --Busquem l'aplicaci del canvi
    select application into v_idapp
    from changes
    where idchange = i_idchange;
    --busquem el responsable tcnic de l'aplicaci
    select technicalResp into v_tm
    from appinventory
    where idapp = v_idapp;
    --busquem el gestor de canvis de l'empresa
    select idmember into v_cm
    from membergcab
    where rolegcab = 'CM';

    INSERT INTO ActionPlan (
            idplan, name, description, isvalidated, inidate, enddate, executedchange, responsible, validator
        ) VALUES (
            i_idplan, i_name, i_description, 'F', i_inidate, i_enddate, i_idchange, v_tm, v_cm
        );
    --incrementar comptador de plans d'acci oberts (OP)
    increaseCounters('OP', '9999', RSP);
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN change_not_valid THEN
        rsp := 'ERROR: El canvi s''ha executat correctament o no s''ha executat';
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure CREATEAPP
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."CREATEAPP" (
    idapp appinventory.idapp%TYPE, appname appinventory.appname%TYPE, datepro appinventory.datepro%TYPE, technology appinventory.technology%TYPE
    , infraestructure appinventory.infraestructure%TYPE, numusers appinventory.numusers%TYPE, criticality appinventory.criticality%TYPE
    , technicalresp appinventory.technicalresp%TYPE, businessresp appinventory.businessresp%TYPE, europe geoareaapp.geoarea%TYPE, asia
    geoareaapp.geoarea%TYPE, oceania geoareaapp.geoarea%TYPE, america geoareaapp.geoarea%TYPE, rsp OUT VARCHAR
) IS

    impactoos appinventory.impactoos%TYPE;
    param VARCHAR(500);
    idtechm membergcab.idmember%TYPE;
    idbusm membergcab.idmember%TYPE;
    infoselect VARCHAR(30);
    no_geo_area EXCEPTION;
BEGIN
    rsp := 'OK';
    param := idapp || appname || datepro || technology || infraestructure
             || numusers || criticality || technicalresp || businessresp
             || europe || asia || oceania || america;

    --Comprovar que s'ha introduit una rea geogrfica vlida
    IF (
        europe != 'Europa' AND asia != 'Asia' AND oceania != 'Oceania' AND america != 'America'
    ) THEN
        RAISE no_geo_area;
    END IF;

    --comprovar technical manager i business manager existeixen
    infoselect := 'Responsable Tcnic'; --info per l'error
    SELECT idmember
    INTO idtechm
    FROM membergcab
    WHERE idmember = technicalresp AND rolegcab = 'TM';

    infoselect := 'Responsable de negoci'; --info per l'error
    SELECT idmember
    INTO idbusm
    FROM membergcab
    WHERE idmember = businessresp AND rolegcab = 'BM';

    --calcular atribut derivat impactOOS
    IF numusers < 50000 AND criticality <= 4 THEN
        impactoos := 'Low';
    ELSIF ( 50000 <= numusers AND numusers <= 100000 AND criticality <= 8) OR 
        ( 4 < criticality AND criticality <= 8 AND numusers <= 100000) THEN
        impactoos := 'Medium';
    ELSIF numusers > 100000 OR criticality > 8 THEN
        impactoos := 'High';
    END IF;

    --insertar registre a AppInventory
    INSERT INTO appinventory (
        idapp, appname, datepro, technology, infraestructure, numusers, criticality, impactoos, technicalresp, businessresp
    ) VALUES (
        idapp, appname, datepro, technology, infraestructure, numusers, criticality, impactoos, technicalresp, businessresp
    );

    --insertar rea geogrfica (GeoAreaApp)
    --insertar europa
    IF europe = 'Europa' THEN
        INSERT INTO geoareaapp (
            idapp, geoarea
        ) VALUES (
            idapp, europe
        );

    END IF;

    --insertar asia
    IF asia = 'Asia' THEN
        INSERT INTO geoareaapp (
            idapp, geoarea
        ) VALUES (
            idapp, asia
        );

    END IF;

    IF oceania = 'Oceania' THEN
        INSERT INTO geoareaapp (
            idapp, geoarea
        ) VALUES (
            idapp, oceania
        );

    END IF;

    IF america = 'America' THEN
        INSERT INTO geoareaapp (
            idapp, geoarea
        ) VALUES (
            idapp, america
        );

    END IF;

    --registrar procediment al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN no_data_found THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        dbms_output.put_line('ERROR: El ' || infoselect || ' no existeix');
    WHEN no_geo_area THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        dbms_output.put_line('ERROR: Introdueix una rea geogrfica vlida');
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure CREATEBATCHMEMBERGCAB
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."CREATEBATCHMEMBERGCAB" (
    ininumber NUMBER, rsp OUT VARCHAR
) IS

    numberid NUMBER;
    idsubstitute VARCHAR2(15);
    idmember VARCHAR2(15);
    param VARCHAR(500);
BEGIN
    rsp := 'OK';
    param := ininumber;
    numberid := ininumber - 1;
    FOR i IN 1..5 LOOP
        numberid := numberid + 1;
        idmember := 'P' || numberid;
        numberid := numberid + 1;
        idsubstitute := 'P' || numberid;
        --inserir Technical Manager i substitut
        INSERT INTO membergcab (
            idmember, rolegcab, substitute
        ) VALUES (
            idmember, 'TM', idsubstitute
        );

        numberid := numberid + 1;
        idmember := 'P' || numberid;
        numberid := numberid + 1;
        idsubstitute := 'P' || numberid;
        --inserir Business Manager i substitut
        INSERT INTO membergcab (
            idmember, rolegcab, substitute
        ) VALUES (
            idmember, 'BM', idsubstitute
        );

    END LOOP;

    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure CREATEBATCHPERSON
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."CREATEBATCHPERSON" ( 
    ININUMBER NUMBER,
    RSP OUT VARCHAR)
IS
    NUMBERID NUMBER;
    IDpERSON VARCHAR2(15);
    NIFPERSON VARCHAR2(10);
    param varchar(500);
BEGIN
    RSP:='OK';
    NUMBERID:=ININUMBER - 1;
    param:=ininumber;
    FOR I IN 1..10
    LOOP      
        NUMBERID:=NUMBERID + 1;
        IDPERSON := 'P'||NUMBERID;
        NIFPERSON := 'NIF'||NUMBERID;
        INSERT INTO PERSON(IDPERSON, NIF, NAME, SURNAME, BIRTHDATE, GENDER) VALUES(IDPERSON, NIFPERSON, 'Michael', 'Scott', '01-01-2000', 'Male');
        NUMBERID:=NUMBERID + 1;
        IDPERSON := 'P'||NUMBERID;
        NIFPERSON := 'NIF'||NUMBERID;
        INSERT INTO PERSON(IDPERSON, NIF, NAME, SURNAME, BIRTHDATE, GENDER) VALUES(IDPERSON, NIFPERSON, 'Lara', 'Scott', '01-02-2000', 'Female');
        NUMBERID:=NUMBERID + 1;
        IDPERSON := 'P'||NUMBERID;
        NIFPERSON := 'NIF'||NUMBERID;
        INSERT INTO PERSON(IDPERSON, NIF, NAME, SURNAME, BIRTHDATE, GENDER) VALUES(IDPERSON, NIFPERSON, 'Rey', 'Hitchcock', '01-03-2000', 'Other');
    END LOOP;
    ADDLOG($$PLSQL_UNIT,param,RSP);
EXCEPTION
WHEN OTHERS THEN
    RSP:='ERROR'|| ':' ||SQLERRM;
    ADDLOG($$PLSQL_UNIT,param,RSP);
END;

/
--------------------------------------------------------
--  DDL for Procedure CREATEBREACH
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."CREATEBREACH" (
    i_idbreach breaches.idbreach%type,
    i_name breaches.name%type,
    i_referenceTo breaches.idbreach%type,
    i_description breaches.description%type,
    i_date breaches.dateBreach%type,
    i_result breaches.resultbreach%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
BEGIN    
    rsp := 'OK';
    param := i_idbreach || i_name || i_referenceTo || i_description || i_date || i_result; 

    INSERT INTO breaches (
        idbreach, name, referenceTo, description, datebreach, resultbreach
    ) VALUES (
        i_idbreach, i_name, i_referenceTo, i_description, i_date, i_result 
    );

    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure CREATECHANGE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."CREATECHANGE" (
    idchange changes.idchange%TYPE, name changes.name%TYPE, description changes.description%TYPE, 
    application changes.application%TYPE
    , rsp OUT VARCHAR
) IS

    param VARCHAR(500);
    idapplication appinventory.idapp%TYPE;
    geoscope changes.geoscope%TYPE;
    category changes.category%TYPE;
BEGIN
    rsp := 'OK';
    param := idchange || name || description || application;
    --Es calculen l'abast geogrfic i la categoria
    calcul_geoscope_category(application, geoscope, category);
    --es crea el registre a la taula changes
    INSERT INTO changes (
        idchange, name, description, geoscope, category, application, statuschange
    ) VALUES (
        idchange, name, description, geoscope, category, application, 'PA'
    );
    --s'incrementa el valor de canvis en procs d'aprovaci a la taula estadstica counters
    increasecounters('PA', '9999', rsp);
    --s'incrementa el valor de canvis en curs pel responsable tcnic de l'app
    increaseCurrChangesTM(application, rsp);
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure CREATECHANGECATEGORY
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."CREATECHANGECATEGORY" (
    i_importance changecategory.importance%type,
    i_creationDate changecategory.creationDate%type,
    i_datein changecategory.datein%type,
    i_dateout changecategory.dateout %type,
      rsp OUT VARCHAR
) IS

    param VARCHAR(500);
BEGIN
    rsp := 'OK';
    param :=  i_importance || i_creationDate || i_datein || i_dateout;

    INSERT INTO changecategory (importance, creationdate, datein, dateout
        ) VALUES ( i_importance, i_creationDate, i_datein, i_dateout);

    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure CREATECHANGEMANAGER
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."CREATECHANGEMANAGER" (
    changemanager person.idperson%TYPE, substitute person.idperson%TYPE, rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    howmany NUMBER;
    cm_exists EXCEPTION;
    cm_substitute_equal EXCEPTION;
BEGIN
    rsp := 'OK';
    param := changemanager || substitute;
    --Comprovem que el gestor de canvis i el substitut siguin diferents
    IF changemanager = substitute THEN
        RAISE cm_substitute_equal;
    END IF;
    --Revisem si existeix una entrada per change manager a membergcab
    SELECT COUNT(*)
    INTO howmany
    FROM membergcab
    WHERE rolegcab = 'CM';
    --existeix un change manager, cal mostrar excepci
    IF howmany > 0 THEN
        RAISE cm_exists;
    --no existeix change manager, es crea el registre a membergcab
    ELSE
        INSERT INTO membergcab (
            idmember, rolegcab, substitute
        ) VALUES (
            changemanager, 'CM', substitute
        );

        addlog($$plsql_unit, param, rsp);
    END IF;

EXCEPTION
    WHEN cm_substitute_equal THEN
        rsp := 'ERROR' || ':' || 'El substitut s igual que el gestor de canvis';
        addlog($$plsql_unit, param, rsp);
    WHEN cm_exists THEN
        rsp := 'ERROR' || ':' || 'Ja hi ha un gestor de canvis';
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/**************************************************************************/
/*PROCEDIMENT - CREATEBATCHMEMBERGCAB
/*Procediment per assignar massivament persones com a membres del GCAB              
/**************************************************************************/
CREATE OR REPLACE PROCEDURE createbatchmembergcab (
    ininumber NUMBER, rsp OUT VARCHAR
) IS

    numberid NUMBER;
    idsubstitute VARCHAR2(15);
    idmember VARCHAR2(15);
    param VARCHAR(500);
BEGIN
    rsp := 'OK';
    param := ininumber;
    numberid := ininumber - 1;
    FOR i IN 1..5 LOOP
        numberid := numberid + 1;
        idmember := 'P' || numberid;
        numberid := numberid + 1;
        idsubstitute := 'P' || numberid;
        --inserir Technical Manager i substitut
        INSERT INTO membergcab (
            idmember, rolegcab, substitute
        ) VALUES (
            idmember, 'TM', idsubstitute
        );

        numberid := numberid + 1;
        idmember := 'P' || numberid;
        numberid := numberid + 1;
        idsubstitute := 'P' || numberid;
        --inserir Business Manager i substitut
        INSERT INTO membergcab (
            idmember, rolegcab, substitute
        ) VALUES (
            idmember, 'BM', idsubstitute
        );

    END LOOP;

    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/**************************************************************************/
/*PROCEDIMENT - CREATEAPP
/*Procediment per crear aplicacions:  
/*Comprova que els responsables tcnics i de negoci existeixin, calcula
/*l'atribut derivat impactoos i crea el registre a AppInventory
/**************************************************************************/
CREATE OR REPLACE PROCEDURE createapp (
    idapp appinventory.idapp%TYPE, appname appinventory.appname%TYPE, datepro appinventory.datepro%TYPE, technology appinventory.technology%TYPE
    , infraestructure appinventory.infraestructure%TYPE, numusers appinventory.numusers%TYPE, criticality appinventory.criticality%TYPE
    , technicalresp appinventory.technicalresp%TYPE, businessresp appinventory.businessresp%TYPE, europe geoareaapp.geoarea%TYPE, asia
    geoareaapp.geoarea%TYPE, oceania geoareaapp.geoarea%TYPE, america geoareaapp.geoarea%TYPE, rsp OUT VARCHAR
) IS

    impactoos appinventory.impactoos%TYPE;
    param VARCHAR(500);
    idtechm membergcab.idmember%TYPE;
    idbusm membergcab.idmember%TYPE;
    infoselect VARCHAR(30);
    no_geo_area EXCEPTION;
BEGIN
    rsp := 'OK';
    param := idapp || appname || datepro || technology || infraestructure
             || numusers || criticality || technicalresp || businessresp
             || europe || asia || oceania || america;

    --Comprovar que s'ha introduit una rea geogrfica vlida
    IF (
        europe != 'Europa' AND asia != 'Asia' AND oceania != 'Oceania' AND america != 'America'
    ) THEN
        RAISE no_geo_area;
    END IF;

    --comprovar technical manager i business manager existeixen
    infoselect := 'Responsable Tcnic'; --info per l'error
    SELECT idmember
    INTO idtechm
    FROM membergcab
    WHERE idmember = technicalresp AND rolegcab = 'TM';

    infoselect := 'Responsable de negoci'; --info per l'error
    SELECT idmember
    INTO idbusm
    FROM membergcab
    WHERE idmember = businessresp AND rolegcab = 'BM';

    --calcular atribut derivat impactOOS
    IF
        numusers < 50000 AND criticality <= 4
    THEN
        impactoos := 'Low';
    ELSIF (
        50000 <= numusers AND numusers <= 100000 AND criticality <= 8
    ) OR (
        4 < criticality AND criticality <= 8 AND numusers <= 100000
    ) THEN
        impactoos := 'Medium';
    ELSIF numusers > 100000 OR criticality > 8 THEN
        impactoos := 'High';
    END IF;

    --insertar registre a AppInventory
    INSERT INTO appinventory (
        idapp, appname, datepro, technology, infraestructure, numusers, criticality, impactoos, technicalresp, businessresp
    ) VALUES (
        idapp, appname, datepro, technology, infraestructure, numusers, criticality, impactoos, technicalresp, businessresp
    );

    --insertar rea geogrfica (GeoAreaApp)
    --insertar europa
    IF europe = 'Europa' THEN
        INSERT INTO geoareaapp (
            idapp, geoarea
        ) VALUES (
            idapp, europe
        );

    END IF;

    --insertar asia
    IF asia = 'Asia' THEN
        INSERT INTO geoareaapp (
            idapp, geoarea
        ) VALUES (
            idapp, asia
        );

    END IF;

    IF oceania = 'Oceania' THEN
        INSERT INTO geoareaapp (
            idapp, geoarea
        ) VALUES (
            idapp, oceania
        );

    END IF;

    IF america = 'America' THEN
        INSERT INTO geoareaapp (
            idapp, geoarea
        ) VALUES (
            idapp, america
        );

    END IF;

    --registrar procediment al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN no_data_found THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        dbms_output.put_line('ERROR: El ' || infoselect || ' no existeix');
    WHEN no_geo_area THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        dbms_output.put_line('ERROR: Introdueix una rea geogrfica vlida');
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/***************************************************************************/
/*PROCEDIMENT - CALCUL_GEOSCOPE_CATEGORY
/*Calcula l'abast geogrfic i categoria del canvi
/*************************************************************************/
CREATE OR REPLACE PROCEDURE calcul_geoscope_category (
    idapplication appinventory.idapp%TYPE, geoscope OUT changes.geoscope%TYPE, changecategory OUT changes.category%TYPE
) IS

    param VARCHAR(500);
    rsp VARCHAR(500);
    numgeoarea NUMBER;
    impactoos appinventory.impactoos%TYPE;
BEGIN
    rsp := 'OK';
    param := idapplication;
    SELECT COUNT(*)
    INTO numgeoarea
    FROM geoareaapp
    WHERE idapp = idapplication;

    IF numgeoarea = 1 THEN
        geoscope := 'Low';
    ELSIF numgeoarea = 2 THEN
        geoscope := 'Medium';
    ELSE
        geoscope := 'High';
    END IF;

    IF geoscope = 'High' THEN
        changecategory := '1';
    ELSE
        SELECT impactoos
        INTO impactoos
        FROM appinventory
        WHERE idapp = idapplication;

        IF impactoos = 'High' OR geoscope = 'High' THEN
            changecategory := '1';
        ELSIF
            impactoos = 'Low' AND geoscope = 'Low'
        THEN
            changecategory := '3';
        ELSE
            changecategory := '2';
        END IF;

    END IF;

    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;
/**************************************************************************/
/*PROCEDIMENT - CREATECHANGE
/*Procediment per crear canvis            
/**************************************************************************/
CREATE OR REPLACE PROCEDURE createchange (
    idchange changes.idchange%TYPE, name changes.name%TYPE, description changes.description%TYPE, application changes.application%TYPE
    , rsp OUT VARCHAR
) IS

    param VARCHAR(500);
    idapplication appinventory.idapp%TYPE;
    numgeoarea NUMBER;
    geoscope changes.geoscope%TYPE;
    category changes.category%TYPE;
    impactoos appinventory.impactoos%TYPE;
BEGIN
    rsp := 'OK';
    param := idchange || name || description || application;
    calcul_geoscope_category(application, geoscope, category);
    INSERT INTO changes (
        idchange, name, description, geoscope, category, application, statuschange
    ) VALUES (
        idchange, name, description, geoscope, category, application, 'PA'
    );

    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN no_data_found THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        dbms_output.put_line('ERROR: Aplicaci incorrecta');
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;
/**************************************************************************/
/*PROCEDIMENT - MODIFYCHANGE
/*Procediment per modificar canvis            
/**************************************************************************/
CREATE OR REPLACE PROCEDURE modifychange (
    idcanvi changes.idchange%TYPE, newname changes.name%TYPE, newdescription changes.description%TYPE, newapp changes.application%TYPE
    , rsp OUT VARCHAR
) IS

    param VARCHAR(500);
    newcategory changes.category%TYPE;
    newgeoscope changes.geoscope%TYPE;
    oldapp changes.application%TYPE;
BEGIN
    rsp := 'OK';
    param := idcanvi || newname || newdescription || newapp;

    --comprovem que el canvi existeix i seleccionem si l'app canvia
    SELECT application
    INTO oldapp
    FROM changes
    WHERE idchange = idcanvi;

    --si l'app canvia, es torna a calcular el l'abast i la categoria del canvi
    IF oldapp != newapp THEN
        calcul_geoscope_category(newapp, newgeoscope, newcategory);
    END IF;

    --actualitzar el canvi
    UPDATE changes
    SET name = newname, description = newdescription, application = newapp, geoscope = newgeoscope, category = newcategory
    WHERE idchange = idcanvi;

    --afegir entrada al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;
/**************************************************************************/
/*PROCEDIMENT - MODIFYCHANGE
/*Procediment per crear aplicacions             
/**************************************************************************/
--CREATE OR REPLACE PROCEDURE createChange (
--    appname appinventory.appname%TYPE, rsp OUT VARCHAR
--) IS   
--    param varchar(500);
--BEGIN
--    rsp := 'OK';
--    param := appname;
--    addlog($$plsql_unit, param, rsp);
--EXCEPTION
--    WHEN OTHERS THEN
--        rsp := 'ERROR' || ':' || sqlerrm;
--        addlog($$plsql_unit, param, rsp);
--END;

/
--------------------------------------------------------
--  DDL for Procedure CREATESUBSTITUTION
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."CREATESUBSTITUTION" (
    i_idperson membergcab.idmember%type,
    i_inidate substitutions.inidate%type,
    i_isplanned substitutions.isplanned%type,
    i_reason substitutions.reason%type,
    i_enddate substitutions.enddate%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
	v_subst membergcab.substitute%type;
BEGIN    
    rsp := 'OK';
    param := i_idperson || i_inidate || i_isplanned || i_reason || i_enddate ; 

	--buscar el substitut
	SELECT substitute into v_subst
	FROM membergcab
	WHERE idmember = i_idperson;
    INSERT INTO substitutions (
        idperson, inidate, substitute, isplanned, reason, enddate
    ) VALUES (
        i_idperson, i_inidate, v_subst, i_isplanned, i_reason, i_enddate 
    );
    --si la substituci no est planificada 
    if i_isplanned = 'F' then 
        -- +1 substitucions no planificades per l'aprovador subsitut
        updateUnplannedSubstitutions(i_idperson, 'Increase', RSP);
    end if;

    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure DECREASECORRECTEXECUTIONSTM
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DECREASECORRECTEXECUTIONSTM" (
    i_idapp AppInventory.idApp%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_idtm membergcab.idmember%type;
    v_exists NUMBER;
    v_oldvalue NUMBER;
    not_exists exception;
BEGIN    
    rsp := 'OK';
    param := i_idapp ; 
    --busquem el TM de l'aplicaci
    select technicalresp into v_idtm
    from appinventory where idapp = i_idapp;
    --mirem ja existeix info a la taula pel TM tractat
    SELECT COUNT(*)
    INTO v_exists
    FROM technicalManagerData
    WHERE technicalmanager = v_idtm;
    --si no hi ha info pel TM tractat, es crea la lnea amb valor 1
    IF v_exists = 0 THEN
        RAISE NOT_EXISTS;
    -- Si el TM ja t dades a la taula, es redueix -1 el valor de correctExecutions
    ELSE
        SELECT correctExecutions
        INTO v_oldvalue
        FROM TechnicalManagerData
        WHERE technicalmanager = v_idtm;        
        if v_oldvalue = 0 then
            raise not_exists;
        end if;
        UPDATE TechnicalManagerData
        SET correctExecutions = correctExecutions - 1
         WHERE technicalmanager = v_idtm;
    END IF;
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN not_exists THEN
        rsp := 'ERROR: El TM no t execucions correctes';
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure DECREASECOUNTERS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DECREASECOUNTERS" (
    i_idcounter counters.idcounter%TYPE, i_yearinfo counters.yearinfo%TYPE, rsp OUT VARCHAR
) IS
    v_exists NUMBER;
    v_newvalue NUMBER;
    v_oldvalue NUMBER;
    param VARCHAR(500);
    not_exists EXCEPTION;
BEGIN
    rsp := 'OK';
    param := i_idcounter || i_yearinfo;
    SELECT COUNT(*)
    INTO v_exists
    FROM counters
    WHERE idcounter = i_idcounter AND yearinfo = i_yearinfo;
    --si el concepte (idcounters) no existeix, es mostra error
    IF v_exists = 0 THEN
        RAISE not_exists;
    ELSE
        SELECT totalnumber
        INTO v_oldvalue
        FROM counters
        WHERE idcounter = i_idcounter AND yearinfo = i_yearinfo;
        --si el valor s 0, es mostra error
        IF v_oldvalue = 0 THEN
            RAISE not_exists;
        END IF;
        UPDATE counters
        SET totalnumber = totalnumber - 1
        WHERE idcounter = i_idcounter AND yearinfo = i_yearinfo;
    END IF;

    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN not_exists THEN
        rsp := 'ERROR: el concepte no existeix per l''any introduit o s 0';
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure DECREASECURRCHANGESTM
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DECREASECURRCHANGESTM" (
    i_idapp AppInventory.idApp%type,
    rsp out varchar
) IS
    param VARCHAR(500);
    v_idtm membergcab.idmember%type;
    v_exists NUMBER;
    v_newvalue NUMBER;
    v_oldvalue NUMBER;
    not_exists exception;
BEGIN
    param := i_idapp;
    rsp:= 'OK';
    --busquem el TM de l'aplicaci
    select technicalresp into v_idtm
    from appinventory where idapp = i_idapp;

    SELECT COUNT(*)
    INTO v_exists
    FROM technicalManagerData
    WHERE technicalmanager = v_idtm;

    --si no hi ha info pel TM tractat, salta excepci
    IF v_exists = 0 THEN
        RAISE not_exists;
    ELSE
        SELECT currchanges
        INTO v_oldvalue
        FROM TechnicalManagerData
        WHERE technicalmanager = v_idtm;

        IF v_oldvalue = 0 THEN
            RAISE not_exists;
        END IF;
        UPDATE TechnicalManagerData
        SET currchanges = currchanges - 1
         WHERE technicalmanager = v_idtm;

    END IF;
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN not_exists THEN
        rsp := 'ERROR: El TM no t canvis en curs';
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure DROPACTION
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DROPACTION" (
    i_idaction action.idaction%TYPE,
    i_idplan action.idplan%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    plan_closed exception;
    v_isvalidated actionplan.isvalidated%type;
    v_enddate actionplan.enddate%type;
    v_inidate actionplan.inidate%type;
    v_dateaction action.dateaction%type;
BEGIN    
    rsp := 'OK';
    param := i_idaction || i_idplan; 
    --si el pla est tancat no es pot eliminar l'acci: error
    select isvalidated, inidate, enddate into v_isvalidated, v_inidate, v_enddate
    from actionplan
    where idplan = i_idplan;
    if v_isvalidated = 'T' THEN
        RAISE plan_closed;
    end if;
    --buscar la data en que es va realitzar l'acci
    select dateaction into v_dateaction
    from action
    where idaction = i_idaction and idplan = i_idplan;
    --eliminar l'acci
    delete from action where idaction = i_idaction and idplan = i_idplan;
    --si l'acci s'havia realitzat
    IF v_dateaction is not null then
        --disminuir comptador accions totals realitzades
        UpdateActionsInTime(v_dateaction, 'Total', 'Decrease', RSP);
        --si l'acci es va realitzar dins el pla
        if v_dateaction >= v_inidate and v_dateaction <= v_enddate then
            --disminur comptador accions dins el termini 
            UpdateActionsInTime(v_dateaction, 'InTime', 'Decrease', RSP);
        end if;
    end if;
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN plan_closed THEN
        rsp := 'ERROR: el pla d''acci est tancat' ;
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure DROPACTIONPLAN
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DROPACTIONPLAN" (
    i_idplan actionplan.idplan%TYPE,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    exist_action exception;
    plan_closed exception;
    v_howmanyActions number;
    v_isvalidated actionplan.isvalidated%type;
BEGIN    
    rsp := 'OK';
    param := i_idplan; 
    --si el pla est tancat no es pot eliminar: error
    select isvalidated into v_isvalidated
    from actionplan
    where idplan = i_idplan;
    if v_isvalidated = 'T' THEN
        RAISE plan_closed;
    end if;
    --Si el pla t accions no es pot eliminar: error
    select count(*) into v_howmanyActions
    from action 
    where idplan = i_idplan ;
    if v_howmanyActions > 0 then
        raise exist_action;
    end if;
    --s'elimina el pla
    delete from actionplan where idplan = i_idplan;
    --Es redueix el comptador de plans d'acci oberts
    decreaseCounters('OP', '9999', RSP); 
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION    
    WHEN plan_closed THEN
        rsp := 'ERROR: El pla est tancat i no es pot eliminar' ;
        addlog($$plsql_unit, param, rsp);
    WHEN exist_action THEN
        rsp := 'ERROR: El pla cont accions i no es pot eliminar' ;
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure DROPAPP
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DROPAPP" (
  i_idapp appinventory.idapp%type, 
  rsp OUT VARCHAR
) IS
    I_impactoos appinventory.impactoos%TYPE;
    param VARCHAR(500);
    idtechm membergcab.idmember%TYPE;
    idbusm membergcab.idmember%TYPE;
    infoselect VARCHAR(30);
    no_geo_area EXCEPTION;
BEGIN
    rsp := 'OK';
    param := I_idapp ;  
    delete from geoareaapp where idapp = i_idapp;
    delEte from appinventory where idapp = i_idapp;
    --registrar procediment al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure DROPAPPROVAL
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DROPAPPROVAL" (
    i_idperson membergcab.idmember%TYPE, i_idchange changes.idchange%TYPE,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
     v_role approval.roleapprover%type;
     v_executed number;
     v_error varchar(100);
     rsp_aux VARCHAR(200);
     executed_change exception;
     v_dateapproval approval.dateapproval%type;
BEGIN

    rsp := 'OK';
    param := i_idperson || i_idchange;    

    --busquem l'aprovaci que es vol eliminar
    v_error:= 'L''aprovaci no existeix';
    SELECT dateapproval, roleapprover
    INTO v_dateapproval, v_role
    FROM approval
    where idperson = i_idperson and 
    idchange = i_idchange;

    --Si s'elimina l'aprovaci del gestor de canvis, el canvi deixa d'estar aprovat i 
    -- s'ha de canviar l'estat
    IF v_role = 'CM' THEN
        --si el canvi est executat, no es pot eliminar l'aprovaci
        select count(*) into v_executed
        from executedchanges
        where idchange = i_idchange;
        if v_executed > 0 then
            raise executed_change;
        else
             --es modifica l'estat del canvi a pendent d'aprovaci
            modifystatuschange(i_idchange, 'PA', rsp_aux);
        end if;

    END IF;

    --s'elimina l'aprovaci
    DELETE FROM APPROVAL WHERE IDPERSON = I_IDPERSON AND IDCHANGE = I_IDCHANGE;

    --si s'ha canviat l'estat del canvi, actualitzar Counters
    if v_role = 'CM' THEN
        decreasecounters('AP', extract(year from v_dateapproval), rsp_aux); -- -1 canvis aprovats
        increasecounters('PA', '9999', RSP_AUX); -- +1 canvis pendents aprovar
    END IF;
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN no_data_found THEN
        rsp := 'ERROR' || ':' || v_error;
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure DROPBREACH
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DROPBREACH" (
    i_idbreach breaches.idbreach%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
BEGIN    
    rsp := 'OK';
    param := i_idbreach; 
    delete from breaches where idbreach = i_idbreach;

    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure DROPCHANGE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DROPCHANGE" (
    i_idchange changes.idchange%TYPE, rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_statuschange changes.statuschange%TYPE;
    v_app changes.application%type;
    change_approved_rejected EXCEPTION;
BEGIN
    rsp := 'OK';
    param := i_idchange;
    --noms es poden eliminar canvis pendents d'aprovar
    SELECT statuschange, application
    INTO v_statuschange, v_app
    FROM changes
    WHERE idchange = i_idchange;

    IF v_statuschange != 'PA' THEN
        RAISE change_approved_rejected;
    END IF;
    --s'elimina el canvi
    DELETE FROM changes
    WHERE idchange = i_idchange;
    --es redueix el valor de canvis pendents d'aprovaci a Counters
    decreasecounters('PA', '9999', rsp);
    --es redueixen -1 els canvis en curs del TM de l'app
    decreaseCurrChangesTM(v_app, rsp);
    --Registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN change_approved_rejected THEN
        rsp := 'ERROR: El canvi est aprovat o rebutjat i no es pot eliminar';
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure DROPCHANGECATEGORY
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DROPCHANGECATEGORY" (
    i_importance changecategory.importance%type,
      rsp OUT VARCHAR
) IS

    param VARCHAR(500);
BEGIN
    rsp := 'OK';
    param :=  i_importance ;

    DELETE FROM changecategory where importance = i_importance;

    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure DROPEXECUTEDCHANGE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DROPEXECUTEDCHANGE" (
    i_idchange changes.idchange%TYPE,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_howmany number;
    exists_action_plan exception;
    v_idapp changes.application%type;
    v_result executedchanges.result%type;
    v_dateexecution executedchanges.dateexecution%type;
BEGIN    
    rsp := 'OK';
    param := i_idchange; 
    --si hi ha un pla d'acci, no es pot eliminar
    select count(*) into v_howmany
    from actionplan
    where executedchange = i_idchange;
    if v_howmany > 0 then
        raise exists_action_plan;
    end if;
    --obtenir l'aplicaci i el resultat del canvi a eliminar
    select application into v_idapp
    from changes
    where idchange = i_idchange;
    select dateexecution, result into v_dateexecution, v_result
    from executedchanges
    where idchange = i_idchange;
    --borrar l'execuci
    delete executedchanges where idchange = i_idchange;
    --actualitzar la informaci del TM i dels canvis replanificats adequadament
    UpdateReplannedChanges(v_idapp, 'Total', 'Decrease', rsp);--reduir execucions totals
    if v_result = 'Correct' THEN
        decreaseCorrectExecutionsTM(v_idapp, rsp); --reduir execucions correctes pel TM 
        increaseCurrChangesTM(v_idapp, rsp); -- augmentar canvis en curs pel TM
    ELSIF V_RESULT = 'Incidences' then
        decreaseCounters('IE', extract(year from v_dateexecution), rsp );--reduir execucions incorrectes
    elsif v_result = 'Replanned' then
        decreaseCounters('IE', extract(year from v_dateexecution), rsp );--reduir execucions incorrectes
        UpdateReplannedChanges(v_idapp, 'Replanned', 'Decrease', rsp);--reduir execucions totals
    end if;
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    when exists_action_plan then
        rsp := 'ERROR: Hi ha un pla d''acci pel canvi executat';
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure DROPMEMBERGCAB
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DROPMEMBERGCAB" (
    i_idmember membergcab.idmember%type,
    rsp OUT VARCHAR
) IS

    param VARCHAR(500);
BEGIN
    rsp := 'OK';
    param := i_idmember;  
    DELETE FROM MEMBERGCAB WHERE IDMEMBER = I_IDMEMBER;
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure DROPPERSON
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DROPPERSON" ( 
    i_idperson person.idperson%type,
    RSP OUT VARCHAR)
IS
    param varchar(500);
BEGIN
    RSP:='OK';
    param:= i_idperson;
    DELETE FROM PERSON WHERE IDPERSON = I_IDPERSON;
    ADDLOG($$PLSQL_UNIT,param,RSP);
EXCEPTION
WHEN OTHERS THEN
    RSP:='ERROR'|| ':' ||SQLERRM;
    ADDLOG($$PLSQL_UNIT,param,RSP);
END;

/
--------------------------------------------------------
--  DDL for Procedure DROPSUBSTITUTION
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."DROPSUBSTITUTION" (
    i_idperson membergcab.idmember%type,
    i_inidate substitutions.inidate%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_isplanned substitutions.isplanned%type;
BEGIN    
    rsp := 'OK';
    param := i_idperson || i_inidate ;
    --buscar si s una substituci planificada o no
    select isplanned into v_isplanned
    from substitutions
    where idperson = i_idperson and inidate = i_inidate;
    --esborrar substituci
    delete from substitutions where idperson = i_idperson and inidate = i_inidate;
    --substituci no planificada
    if v_isplanned = 'F' THEN
        -- reduir substitucions no planificades per l'aprovador 
        updateUnplannedSubstitutions(i_idperson, 'Decrease', RSP);
    END IF;
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN NO_DATA_FOUND THEN 
        rsp := 'ERROR: La substituci no existeix' ;
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure EXECUTECHANGE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."EXECUTECHANGE" (
    i_idchange changes.idchange%TYPE, i_date executedchanges.dateexecution%type, 
    i_result executedchanges.result%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    CHANGE_NOT_APPROVED exception;
    v_status changes.statuschange%type;
    v_idapp changes.application%type;
    change_executed exception;
    v_isExecuted number;
BEGIN    
    rsp := 'OK';
    param := i_idchange || i_date || i_result; 
    --s'obt l'aplicaci i l'estat del canvi
    select application, statuschange into v_idapp, v_status
    from changes
    where idchange = i_idchange;
    --si el canvi no est aprovat no es pot executar -> error
    if v_status != 'AP' THEN
        RAISE CHANGE_NOT_APPROVED;
    END IF;
    --si el canvi ja s'ha executat correctament -> error
    select count(*) into v_isExecuted
    from executedChanges
    where idchange = i_idchange
      and result = 'Correct';
    if v_isExecuted > 0 then
        raise change_executed;
    end if;
    --insertar canvi
    INSERT INTO executedChanges (
        idchange, dateexecution, result
    ) VALUES (
        i_idchange, i_date, i_result
    );
    --Augmentar el total de canvis executats (ReplannedChanges-total)
     UpdateReplannedChanges(v_idapp, 'Total', 'Increase', rsp);
    --canvi correcte: +1 execucions correctes del TM i -1 canvis en curs del TM
    if i_result = 'Correct' then
        increaseCorrectExecutionsTM(v_idapp, RSP);
        decreaseCurrChangesTM(v_idapp, RSP);
    --amb incidncies: +1 execucions incorrectes
    elsif i_result = 'Incidences' then
        increaseCounters('IE', extract(year from i_date), rsp );
    --replanificat: +1 execucions incorrectes i +1 canvis replanificats
    elsif i_result = 'Replanned' then
        increaseCounters('IE', extract(year from i_date), rsp );      
        --Augmentar el valor de canvis replanificats (replannedchanges-replanned)
        UpdateReplannedChanges(v_idapp, 'Replanned', 'Increase', rsp);
    end if;    
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    when change_executed then
        rsp := 'ERROR: El canvi ja s''ha executat correctament' ;
        addlog($$plsql_unit, param, rsp);
    WHEN CHANGE_NOT_APPROVED THEN
        rsp := 'ERROR: El canvi ha d''estar aprovat' ;
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure INCREASECORRECTEXECUTIONSTM
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."INCREASECORRECTEXECUTIONSTM" (
    i_idapp AppInventory.idApp%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_idtm membergcab.idmember%type;
    v_exists NUMBER;
    --v_newvalue NUMBER;
    v_oldvalue NUMBER;
BEGIN    
    rsp := 'OK';
    param := i_idapp ; 
    --busquem el TM de l'aplicaci
    select technicalresp into v_idtm
    from appinventory where idapp = i_idapp;
    --mirem ja existeix info a la taula pel TM tractat
    SELECT COUNT(*)
    INTO v_exists
    FROM technicalManagerData
    WHERE technicalmanager = v_idtm;
    --si no hi ha info pel TM tractat, es crea la lnea amb valor 1
    IF v_exists = 0 THEN
        INSERT INTO TechnicalManagerData (
            technicalmanager, correctexecutions, currchanges
        ) VALUES (
            v_idtm, 1, 0
        );
    -- Si el TM ja t dades a la taula, s'incremente +1 el valor de correctExecutions
    ELSE
        UPDATE TechnicalManagerData
        SET correctExecutions = correctExecutions + 1
         WHERE technicalmanager = v_idtm;
    END IF;
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure INCREASECOUNTERS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."INCREASECOUNTERS" (
    i_idcounter counters.idcounter%TYPE, i_yearinfo counters.yearinfo%TYPE, rsp OUT VARCHAR
) IS
    v_exists NUMBER;
    v_newvalue NUMBER;
    v_oldvalue NUMBER;
    param VARCHAR(500);
BEGIN
    rsp := 'OK';
    param := i_idcounter || i_yearinfo;
    SELECT COUNT(*)
    INTO v_exists
    FROM counters
    WHERE idcounter = i_idcounter AND yearinfo = i_yearinfo;
    --si el concepte (idcounters) no existeix, es crea la lnea amb valor 1
    IF v_exists = 0 THEN
        v_newvalue := 1;
        INSERT INTO counters (
            idcounter, yearinfo, totalnumber
        ) VALUES (
            i_idcounter, i_yearinfo, v_newvalue
        );

    ELSE
          UPDATE counters
            SET
                totalnumber = totalnumber + 1
            WHERE idcounter = i_idcounter AND yearinfo = i_yearinfo;

    END IF;

    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure INCREASECURRCHANGESTM
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."INCREASECURRCHANGESTM" (
    i_idapp AppInventory.idApp%type,
    rsp out varchar
) IS
    param VARCHAR(500);
    v_idtm membergcab.idmember%type;
    v_exists NUMBER;
    v_newvalue NUMBER;
    v_oldvalue NUMBER;
BEGIN
    param := i_idapp;
    rsp:= 'OK';
    --busquem el TM de l'aplicaci
    select technicalresp into v_idtm
    from appinventory where idapp = i_idapp;

    SELECT COUNT(*)
    INTO v_exists
    FROM technicalManagerData
    WHERE technicalmanager = v_idtm;

    --si no hi ha info pel TM tractat, es crea la lnea amb valor 1
    IF v_exists = 0 THEN
        v_newvalue := 1;
        INSERT INTO TechnicalManagerData (
            technicalmanager, correctexecutions, currchanges
        ) VALUES (
            v_idtm, 0, v_newvalue
        );
    -- Si el TM ja t dades a la taula, s'incremente +1 el valor de currchanges
    ELSE
        UPDATE TechnicalManagerData
        SET currchanges = currchanges + 1
         WHERE technicalmanager = v_idtm;
    END IF;
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure MODIFYACTION
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."MODIFYACTION" (
    i_idaction action.idaction%type,
    i_idplan action.idplan%type,
    i_newname action.name%type,
    i_newdescription action.description%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
BEGIN    
    rsp := 'OK';
    param := i_idaction || i_idplan || i_newname || i_newdescription ; 
    -- --actualitzar el canvi
    UPDATE action
    SET name = i_newname,
        description = i_newdescription
    where idaction = i_idaction and idplan = i_idplan;
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure MODIFYACTIONDATE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."MODIFYACTIONDATE" (
    i_idaction action.idaction%type,
    i_idplan action.idplan%type,
    i_newDate action.dateaction%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_olddate action.dateaction%type;
    v_inidate actionplan.inidate%type;
    v_enddate actionplan.enddate%type;
    V_newIsInTime ACTIONPLAN.ISVALIDATED%TYPE;
    V_oldIsInTime ACTIONPLAN.ISVALIDATED%TYPE;
BEGIN    
    rsp := 'OK';
    param := i_idaction || i_idplan || i_newdate ; 
    v_newIsInTime := 'F';
    v_oldIsInTime := 'F';
    --busquem la data anterior
    select dateaction into v_olddate
    from action
    where idaction = i_idaction and idplan = i_idplan;
    --busquem el termini del pla d'acci i si les dates anteriors i nova estan dins el termini
    select inidate, enddate into v_inidate, v_enddate
    from actionplan
    where idplan = i_idplan;
    if i_newdate >= v_inidate and i_newdate <= v_enddate then
        v_newIsInTime := 'T';--Nova data dins el termini
    END IF;
    if v_olddate >= v_inidate and v_olddate <= v_enddate then
        v_oldIsInTime := 'T';--data anterior dins el termini
    END IF;

    -- actualitzar el canvi
    UPDATE action
    SET dateaction = i_newdate
    where idaction = i_idaction and idplan = i_idplan;

    --s'actualitzen els comptadors
    --es tanca l'acci (s'informa la data de l'acci)
    if v_olddate is null then
        --incrementar comptador del total d'accions finalitzades 
        UpdateActionsInTime(i_newDate, 'Total', 'Increase', RSP);
        --l'acci s'ha realitzat dins el termini
        if v_newIsInTime = 'T' then
            --incrementar comptador d'accions finalitzades dins el termini
            UpdateActionsInTime(i_newDate, 'InTime', 'Increase', RSP);
        end if;
    --L'acci ja estava tancada i es modifica la data
    ELSE
        --S'esborra la data (es desf l'acci)
        if i_newDate is null then
            --es disminueix comptador d'accions totals realitzades
            UpdateActionsInTime(v_oldDate, 'Total', 'Decrease', RSP);
            --Si data anterior dins termini: redueix comptador d'accions dins el termini
            if v_oldIsInTime = 'T' THEN
                UpdateActionsInTime(v_oldDate, 'InTime', 'Decrease', RSP);
            END IF;
        --es canvia la data
        elsif v_oldDate != i_newDate and i_newdate is not null then
            --L'acci passa a estar dins el termini: incrementa comptador d'accions dins el termini
            if v_oldIsInTime = 'F' and v_newIsInTime = 'T' THEN
                UpdateActionsInTime(i_newDate, 'InTime', 'Increase', RSP);               
            END IF;
            --L'acci estava dins el termini i passa a estar a fora: reduir comptador d'accions dins el termini
            IF v_oldIsInTime = 'T' and v_newIsInTime = 'F' THEN
                UpdateActionsInTime(v_oldDate, 'InTime', 'Decrease', RSP);
            END IF;
        end if;
    END IF;  

    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure MODIFYACTIONPLAN
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."MODIFYACTIONPLAN" (
    i_idplan actionplan.idplan%type,
    i_newname actionplan.name%type,
    i_newdescription actionplan.description%type,
    i_newisvalidated actionplan.isvalidated%type,
    i_newinidate actionplan.inidate%type,
    i_newenddate actionplan.enddate%type,
    i_newchange changes.idchange%TYPE,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_oldchange actionplan.executedchange%type;
    v_howmanyExecutedChanges number;
    v_howmanyActions number;
    v_howmanyOpenActions number;
    v_oldisvalidated actionplan.isvalidated%type;
    v_idapp appinventory.idapp%type;
    change_not_valid exception;
    closed_actions exception;
BEGIN    
    rsp := 'OK';
    param := i_idplan || i_newname || i_newdescription || i_newisvalidated ||
        i_newinidate || i_newenddate || i_newchange; 
    --si el canvi es modifica, comprovar que el nou canvi s'hagi executat amb incidncies o replannificat
    select isvalidated, executedchange into v_oldisvalidated, v_oldchange
    from actionplan
    where idplan = i_idplan;
    if v_oldchange != i_newchange then
        select count(*) into v_howmanyExecutedChanges
        from executedchanges
        where idchange = i_newchange
        and ( result = 'Incidences' or result = 'Replanned' );
        if v_howmanyExecutedChanges = 0 then
            raise change_not_valid;
        end if;
    end if; 
    --Si es tanca un pla d'acci obert
    if v_oldisvalidated = 'F' and i_newisvalidated = 'T' THEN
        -- validar que t accions i que totes estan tancades
        select count(*) into v_howmanyOpenActions
        from action 
        where idplan = i_idplan and dateaction is null;
        if v_howmanyOpenActions = 0 then
            select count(*) into v_howmanyActions
            from action 
            where idplan = i_idplan ;
            --el pla d'acci no t accions, no es pot tancar: error.
            if v_howmanyActions = 0 then
             raise closed_actions;
            end if;
        --hi ha accions obertes: error
        elsif v_howmanyOpenActions > 0 then
            raise closed_actions;
        end if;

    end if;
    --obtenir l'aplicaci del canvi
    select application into v_idapp
    from changes where idchange = i_newchange;
--    -- --actualitzar el canvi
    UPDATE ACTIONPLAN
    SET name = i_newname, 
        description = i_newdescription, 
        isvalidated = i_newisvalidated,
        inidate = i_newinidate,
        enddate = i_newenddate,
        executedchange = i_newchange
    WHERE idplan = i_idplan;
    --Si s'obre un pla d'acci tancat, 
    if v_oldisvalidated = 'T' and i_newisvalidated = 'F' THEN    
        increaseCounters('OP', '9999', RSP); --incrementar comptador de plans oberts
        increaseCurrChangesTM(v_idapp, rsp); --incrementar canvis en curs pel TM de l'app
    --si es tanca un pla d'acci obert
    elsif v_oldisvalidated = 'F' and i_newisvalidated = 'T' THEN
        decreaseCounters('OP', '9999', RSP); --reduir plans d'acci oberts -1
        decreaseCurrChangesTM(v_idapp, rsp); --reduir canvis en curs pel TM de l'app
    END IF;
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    when closed_actions then
        rsp := 'ERROR: Hi ha accions obertes o el pla no cont accions';
        addlog($$plsql_unit, param, rsp);
    WHEN change_not_valid THEN
        rsp := 'ERROR: El nou canvi s''ha executat correctament o no s''ha executat';
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure MODIFYAPP
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."MODIFYAPP" (
  i_idapp appinventory.idapp%type, 
  i_appname appinventory.appname%type, 
  I_DATEPRO appinventory.datepro%type,
  i_tech appinventory.technology%type,
  i_infra appinventory.infraestructure%type,
  i_num appinventory.numusers%type,
  i_criticality appinventory.criticality%type,
  i_tm appinventory.technicalresp%type,
  i_bm appinventory.businessresp%type,
  i_eur geoareaapp.geoarea%TYPE,
  i_asia geoareaapp.geoarea%TYPE, 
  i_oce geoareaapp.geoarea%TYPE, 
  i_amer geoareaapp.geoarea%TYPE,
  rsp OUT VARCHAR
) IS
    I_impactoos appinventory.impactoos%TYPE;
    param VARCHAR(500);
    idtechm membergcab.idmember%TYPE;
    idbusm membergcab.idmember%TYPE;
    infoselect VARCHAR(30);
    no_geo_area EXCEPTION;
BEGIN
    rsp := 'OK';
    param := I_idapp || i_appname || i_datepro || i_tech || i_infra
             || i_num || i_criticality || i_tm || i_bm ||i_eur || i_asia || i_oce || i_amer;  

    IF (i_eur != 'Europa' AND i_asia != 'Asia' AND i_oce != 'Oceania' AND i_amer != 'America'
    ) THEN
        RAISE no_geo_area;
    END IF;

    --comprovar technical manager i business manager existeixen
    infoselect := 'Responsable Tcnic'; --info per l'error
    SELECT idmember
    INTO idtechm
    FROM membergcab
    WHERE idmember = I_TM AND rolegcab = 'TM';

    infoselect := 'Responsable de negoci'; --info per l'error
    SELECT idmember
    INTO idbusm
    FROM membergcab
    WHERE idmember = I_BM AND rolegcab = 'BM';

    --calcular atribut derivat impactOOS
    IF I_num < 50000 AND I_criticality <= 4 THEN
        I_impactoos := 'Low';
    ELSIF ( 50000 <= I_num AND I_num <= 100000 AND I_criticality <= 8) OR 
        ( 4 < I_criticality AND I_criticality <= 8 AND I_num <= 100000) THEN
        I_impactoos := 'Medium';
    ELSIF I_num > 100000 OR I_criticality > 8 THEN
        I_impactoos := 'High';
    END IF;

    UPDATE APPINVENTORY
    SET APPNAME = i_APPNAME,
        datepro = i_datepro,
        technology = i_tech,
        infraestructure = i_infra,
        numusers = i_num,
        criticality = i_criticality,
        impactoos = i_impactOOS,
        technicalresp = i_tm,
        businessresp = i_bm
    WHERE idapp = I_idapp;    

    delete from geoareaApp where idapp = i_idapp;

    if i_eur = 'Europa' then
        INSERT INTO geoareaapp (idapp, geoarea) VALUES ( i_idapp, i_eur );
    END IF;
    --insertar asia
    IF i_asia = 'Asia' THEN
        INSERT INTO geoareaapp (idapp, geoarea) VALUES (i_idapp, i_asia);
    END IF;

    IF i_oce = 'Oceania' THEN
        INSERT INTO geoareaapp (idapp, geoarea ) VALUES (i_idapp, i_oce);
    END IF;

    IF i_amer = 'America' THEN
        INSERT INTO geoareaapp (idapp, geoarea) VALUES (i_idapp, i_amer);
    END IF;
    --registrar procediment al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN no_data_found THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        dbms_output.put_line('ERROR: El ' || infoselect || ' no existeix');
    WHEN no_geo_area THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        dbms_output.put_line('ERROR: Introdueix una rea geogrfica vlida');
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure MODIFYAPPROVAL
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."MODIFYAPPROVAL" (
    i_idperson membergcab.idmember%TYPE, i_idchange changes.idchange%TYPE,
    i_newdate approval.dateapproval%TYPE, i_newcommentary approval.commentary%TYPE
    , rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_olddate approval.dateapproval%type;
BEGIN
    rsp := 'OK';
    param := i_idperson || i_idchange || i_newdate || i_newcommentary ;  

    update approval
    set dateapproval = i_newdate,
        commentary = i_newcommentary
    where idperson = i_idperson
        and idchange = i_idchange;

    --registre al log
    addlog($$plsql_unit, param, rsp);

EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure MODIFYBREACH
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."MODIFYBREACH" (
    i_idbreach breaches.idbreach%type,
    i_newname breaches.name%type,
    i_newreferenceTo breaches.idbreach%type,
    i_newdescription breaches.description%type,
    i_newdate breaches.dateBreach%type,
    i_newresult breaches.resultbreach%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_olddate breaches.datebreach%type;
    v_oldresult breaches.resultbreach%type;
BEGIN    
    rsp := 'OK';
    param := i_idbreach || i_newname || i_newreferenceTo || i_newdescription || i_newdate || i_newresult; 
    select datebreach, resultbreach into v_olddate, v_oldresult
    from breaches
    where idbreach = i_idbreach;
    UPDATE breaches
    SET name = i_newname,
        referenceTo = i_newReferenceTo,
        description = i_newDescription,
        datebreach = i_newDate,
        resultbreach = i_newResult    
    WHERE idbreach = i_idbreach;

    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure MODIFYCHANGE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."MODIFYCHANGE" (
    idcanvi changes.idchange%TYPE, newname changes.name%TYPE, newdescription changes.description%TYPE, newapp changes.application%TYPE
    , rsp OUT VARCHAR
) IS

    param VARCHAR(500);
    newcategory changes.category%TYPE;
    newgeoscope changes.geoscope%TYPE;
    oldapp changes.application%TYPE;
BEGIN
    rsp := 'OK';
    param := idcanvi || newname || newdescription || newapp;

    --comprovem que el canvi existeix i seleccionem si l'app canvia
    SELECT application
    INTO oldapp
    FROM changes
    WHERE idchange = idcanvi;

    --si l'app canvia
    IF oldapp != newapp THEN
        -- es torna a calcular el l'abast i la categoria del canvi
        calcul_geoscope_category(newapp, newgeoscope, newcategory);
        --s'actualitzen els canvis en curs pel TM nou (+1) i vell (-1)
        increaseCurrChangesTM(newapp, rsp);
        decreaseCurrChangestm(oldapp, rsp);
    END IF;

    --actualitzar el canvi
    UPDATE changes
    SET name = newname, description = newdescription, application = newapp, geoscope = newgeoscope, category = newcategory
    WHERE idchange = idcanvi;

    --afegir entrada al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure MODIFYCHANGECATEGORY
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."MODIFYCHANGECATEGORY" (
    i_importance changecategory.importance%type,
    i_creationDate changecategory.creationDate%type,
    i_datein changecategory.datein%type,
    i_dateout changecategory.dateout %type,
      rsp OUT VARCHAR
) IS

    param VARCHAR(500);
BEGIN
    rsp := 'OK';
    param :=  i_importance || i_creationDate || i_datein || i_dateout;

    UPDATE changeCategory
    SET creationDate = i_creationDate,
        dateIn = i_dateIn,
        dateOut = i_dateout
    WHERE importance = i_importance;

    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure MODIFYEXECUTEDCHANGE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."MODIFYEXECUTEDCHANGE" (
    i_idchange changes.idchange%TYPE, i_newdate executedchanges.dateexecution%type, 
    i_newresult executedchanges.result%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_olddate executedchanges.dateexecution%type;
    v_oldresult executedchanges.result%type;
    v_idapp changes.application%type;
BEGIN    
    rsp := 'OK';
    param := i_idchange || i_newdate || i_newresult;  
    --busquem la data i resultats antics de l'execuci
    SELECT DATEEXECUTION, RESULT INTO V_OLDDATE, V_OLDRESULT
    FROM EXECUTEDCHANGES
    WHERE IDCHANGE = I_IDCHANGE;
    --busquem app del canvi
    select application into v_idapp
    from changes
    where idchange = i_idchange;
    --actualitzem execuci amb els valors nous
    update executedChanges 
    set dateexecution = i_newdate,
        result = i_newresult
       where idchange = i_idchange;
    --si l'any ha canviat i ambds resultats antic i nou son incorrectes
    if extract(year from i_newDate) != extract(year from v_olddate) then
        if ( v_oldresult = 'Incidences' or v_oldresult = 'Replanned' ) and 
         ( i_newResult = 'Incidences' or i_newResult = 'Replanned' ) then
         --actualitzar execucions incorrectes per l'any antic (-1) i any nou (+1)
        increaseCounters('IE', extract(year from i_newDate), rsp );
        decreaseCounters('IE', extract(year from v_olddate), rsp );
        end if;
    end if;
    --Execuci canvia de correcta a incidncies
    if v_oldresult = 'Correct' and i_newResult = 'Incidences' then      
        decreaseCorrectExecutionsTM(v_idapp, rsp); --reduir execucions correctes pel TM      
        increaseCounters('IE', extract(year from i_newDate), rsp );--augmentar execucions incorrectes
    --de correcta a replanned
    elsif v_oldresult = 'Correct' and i_newResult = 'Replanned' then
        decreaseCorrectExecutionsTM(v_idapp, rsp); --reduir execucions correctes pel TM 
        increaseCounters('IE', extract(year from i_newDate), rsp );--augmentar execucions incorrectes
        UpdateReplannedChanges(v_idapp, 'Replanned', 'Increase', rsp);--augmentar execucions replanificades
    --de incidncies a correcta
    elsif v_oldresult = 'Incidences' and i_newResult = 'Correct' then
        increaseCorrectExecutionsTM(v_idapp, rsp); --augmentar execucions correctes pel TM 
        decreaseCounters('IE', extract(year from i_newDate), rsp );--reduir execucions incorrectes
    --de incidncies a replanificada
    elsif v_oldresult = 'Incidences' and i_newResult = 'Replanned' then
        UpdateReplannedChanges(v_idapp, 'Replanned', 'Increase', rsp);--augmentar execucions replanificades
    --de replanificada a correcta
    elsif v_oldresult = 'Replanned' and i_newResult = 'Correct' then
        UpdateReplannedChanges(v_idapp, 'Replanned', 'Decrease', rsp);--reduir execucions replanificades
        decreaseCounters('IE', extract(year from i_newDate), rsp );--reduir execucions incorrectes
        increaseCorrectExecutionsTM(v_idapp, rsp); --augmentar execucions correctes pel TM 
    --de replanificada a incidncies
    elsif v_oldresult = 'Replanned' and i_newResult = 'Incidences' then
        UpdateReplannedChanges(v_idapp, 'Replanned', 'Decrease', rsp);--reduir execucions replanificades
    end if;

    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure MODIFYMEMBERGCAB
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."MODIFYMEMBERGCAB" (
    i_idmember membergcab.idmember%type,
    i_rolegcab membergcab.rolegcab%type,
    i_substitute membergcab.substitute%type,
    rsp OUT VARCHAR
) IS

    param VARCHAR(500);
BEGIN
    rsp := 'OK';
    param := i_idmember || i_rolegcab || i_substitute;
    UPDATE membergcab 
    SET rolegcab = i_rolegcab,
        substitute = i_substitute
    WHERE idmember = i_idmember;

    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure MODIFYPERSON
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."MODIFYPERSON" ( 
    i_idperson person.idperson%type,
    i_nif person.nif%type,
    i_name person.name%type,
    i_surname person.surname%type,
    i_birthdate person.birthdate%type,
    i_gender  person.gender%type,
    RSP OUT VARCHAR)
IS
    param varchar(500);
BEGIN
    RSP:='OK';
    param:= i_idperson || i_nif || i_name || i_surname || i_birthdate || i_gender;

    UPDATE person 
    SET nif = i_nif,
        name = i_name,
        surname = i_surname,
        birthdate = i_birthdate,
        gender = i_gender
    WHERE idperson = i_idperson;

    ADDLOG($$PLSQL_UNIT,param,RSP);
EXCEPTION
WHEN OTHERS THEN
    RSP:='ERROR'|| ':' ||SQLERRM;
    ADDLOG($$PLSQL_UNIT,param,RSP);
END;

/
--------------------------------------------------------
--  DDL for Procedure MODIFYSTATUSCHANGE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."MODIFYSTATUSCHANGE" (
    i_idchange changes.idchange%TYPE, 
    i_newStatus changes.statuschange%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_oldStatus changes.statuschange%type;
    reject_not_possible exception;
BEGIN
    rsp := 'OK';
    param := i_idchange || i_newStatus;

    --s'obt l'estat anterior del canvi
    select statuschange into v_oldstatus
    from changes
    where idchange = i_idchange;

    --un canvi aprovat no es pot rebutjar
    if i_newstatus = 'RE' and v_oldStatus = 'AP' THEN
     RAISE REJECT_NOT_POSSIBLE;
    END IF;

    --actualitzar el canvi
    UPDATE changes
    SET statusChange = i_newStatus
    WHERE idchange = i_idchange;

    addlog($$plsql_unit, param, rsp);
EXCEPTION
    when reject_not_possible then
        rsp := 'ERROR: un canvi aprovat no es pot rebutjar' ;
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure MODIFYSUBSTITUTION
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."MODIFYSUBSTITUTION" (
    i_idperson membergcab.idmember%type,
    i_inidate substitutions.inidate%type,
    i_newisplanned substitutions.isplanned%type,
    i_newreason substitutions.reason%type,
    i_newenddate substitutions.enddate%type,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_oldisplanned substitutions.isplanned%type;
BEGIN    
    rsp := 'OK';
    param := i_idperson || i_inidate || i_newisplanned || i_newreason || i_newenddate ; 
    --obtenir valor anterior de isPlanned
    select isplanned into v_oldisplanned
    from substitutions
    where idperson = i_idperson and inidate = i_inidate;
    --actualitzar substituci
    UPDATE substitutions
    set isplanned = i_newisplanned, 
        reason = i_newreason,
        enddate = i_newenddate
    WHERE idperson = i_idperson and inidate = i_inidate;
    if v_oldisplanned != i_newisplanned then
        --es canvia de no planificada a planificada
        if v_oldisplanned = 'F' and i_newisplanned = 'T' THEN
            -- reduir substitucions no planificades per l'aprovador 
            updateUnplannedSubstitutions(i_idperson, 'Decrease', RSP);
        --es canvia de planificada a no planificada
        elsif v_oldisplanned = 'T' and i_newisplanned = 'F' THEN
            -- augmentar substitucions no planificades per l'aprovador 
            updateUnplannedSubstitutions(i_idperson, 'Increase', RSP);
        END IF;
    end if;
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN NO_DATA_FOUND THEN 
        rsp := 'ERROR: La substituci no existeix' ;
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure NEW
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."NEW" LOG( P_procName varchar2(4)
                                     p_oldValue varchar2(500)
                                     p_newValue varchar2(500) )
BEGIN                        
    INSERT INTO LOGTEST(PROCEDURENAME, OLDVALUE, NEWVALUE) 
        VALUES(P_PROCNAME, P_OLDVALUE, P_NEWVALUE);
END;
--SELECT OLDVALUE FROM LOGTEST WHERE OLDVALUE = 'OLDVALUE';

/
--------------------------------------------------------
--  DDL for Procedure NEWLOG
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."NEWLOG" ( P_procName varchar2(40),
                                     p_oldValue varchar2(500),
                                     p_newValue varchar2(500) )
BEGIN                        
    INSERT INTO LOGTEST(PROCEDURENAME, OLDVALUE, NEWVALUE) 
        VALUES(P_PROCNAME, P_OLDVALUE, P_NEWVALUE);
END;

--SELECT OLDVALUE FROM LOGTEST WHERE OLDVALUE = 'OLDVALUE';

/
--------------------------------------------------------
--  DDL for Procedure REJECTCHANGE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."REJECTCHANGE" (
    i_idchange changes.idchange%TYPE, i_yearrejection counters.yearinfo%TYPE, rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    rsp_aux VARCHAR(200);
    v_app changes.application%type;
BEGIN
    param := i_idchange || i_yearrejection;
    --modificar l'estat del canvi
    modifystatuschange(i_idchange, 'RE', rsp);
    --actualitzar nombre canvis rebutjats per any proporcionat
    increasecounters('RE', i_yearrejection, rsp_aux);
    --reduir nombre de canvis en procs d'aprovaci
    decreasecounters('PA', '9999', rsp_aux);
    --reduir nombre canvis en curs pel responsable tcnic
    select application into v_app
    from changes where idchange = i_idchange;
    decreaseCurrChangesTM(v_app, rsp);
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure UPDATEACTIONSINTIME
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."UPDATEACTIONSINTIME" (
    i_date action.dateaction%type,
    i_column varchar,
    i_type varchar,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_exists NUMBER;
    v_newvalue NUMBER;
    v_oldvalue NUMBER;
    wrong_column exception;
    wrong_type exception;
    not_exists exception;
    v_year actionsintime.yearaction%type;
BEGIN    
    rsp := 'OK';
    param :=  i_date || i_column || i_type ; 
    v_year := extract(year from i_date);
    --validem que els parmetres d'entrada siguin correctes
    if i_column != 'InTime' and i_column != 'Total' then
        raise wrong_column;
    end if;
    if i_type != 'Increase' and i_type != 'Decrease' then
        raise wrong_type;
    end if;

    --comprovem si ja hi ha dades de l'any a la taula
    select count(*) into v_exists
    from actionsintime
    where yearaction = v_year;
    if v_exists = 0 then
        --si no hi ha dades i es demana reduir el valor, error
        if i_type = 'Decrease' then
            raise not_exists;
        --si no hi ha dades i demana incrementar valor, es crea la lnia.
        elsif i_type = 'Increase' and i_column = 'InTime' then
            INSERT INTO actionsintime (
                yearAction, inTime, total
            ) VALUES (
                v_year, 1, 0
            );
        elsif i_type = 'Increase' and i_column = 'Total' then
            INSERT INTO actionsintime (
                yearAction, inTime, total
            ) VALUES (
                v_year, 0, 1
            );
        end if;
    --Si hi ha dades a la taula, cal actualitzar els valors
    elsif v_exists > 0 then
        --S'actualitza valor  d'accions dins el termini
        if i_column = 'InTime' then
            select intime into v_oldvalue
            from actionsintime 
            where yearaction = v_year;
            if i_type = 'Increase' then
                v_newvalue := v_oldvalue + 1; 
            elsif i_type = 'Decrease' then
                if v_oldvalue = 0 then
                    raise not_exists;
                end if;
                v_newvalue := v_oldvalue - 1; 
            end if;
            update actionsintime
            set intime = v_newvalue
            where yearaction = v_year;
        -- s'actualitzen els valors totals
        elsif i_column = 'Total' then
            select total into v_oldvalue
            from actionsintime 
            where yearaction = v_year;
            if i_type = 'Increase' then
                v_newvalue := v_oldvalue + 1; 
            elsif i_type = 'Decrease' then
                if v_oldvalue = 0 then
                    raise not_exists;
                end if;
                v_newvalue := v_oldvalue - 1; 
            end if;
            update actionsintime
            set total = v_newvalue
            where yearaction = v_year;
        end if;
    end if;

    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN not_exists THEN
        rsp := 'ERROR: L''any ja t valor 0';
        addlog($$plsql_unit, param, rsp);
    WHEN wrong_column THEN
        rsp := 'ERROR: La columna a modificar ha de ser ''InTime'' o ''Total''';
        addlog($$plsql_unit, param, rsp);
    WHEN wrong_type then
        rsp := 'ERROR: L''acci ha de ser ''Increase'' o ''Decrease''';
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure UPDATEREPLANNEDCHANGES
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."UPDATEREPLANNEDCHANGES" (
    i_idapp AppInventory.idApp%type,
    i_column varchar,
    i_type varchar,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_exists NUMBER;
    v_newvalue NUMBER;
    v_oldvalue NUMBER;
    wrong_column exception;
    wrong_type exception;
    not_exists exception;
BEGIN    
    rsp := 'OK';
    param := i_idapp || i_column || i_type ; 
    --validem que els parmetres d'entrada siguin correctes
    if i_column != 'Replanned' and i_column != 'Total' then
        raise wrong_column;
    end if;
    if i_type != 'Increase' and i_type != 'Decrease' then
        raise wrong_type;
    end if;
    --iterem sobre les rees geogrfiques de l'aplicaci, per actualitzar les dades de cada una
    FOR r_geoarea IN (
        SELECT 
           geoarea
        FROM 
            geoareaapp
        where idapp = i_idapp
    )
      LOOP
        --comprovem si ja hi ha dades de l'rea a la taula
        select count(*) into v_exists
        from replannedchanges
        where geoarea = r_geoarea.geoarea;
        if v_exists = 0 then
            --si no hi ha dades i es demana reduir el valor, error
            if i_type = 'Decrease' then
                raise not_exists;
            --si no hi ha dades i demana incrementar valor, es crea la lnia.
            elsif i_type = 'Increase' and i_column = 'Replanned' then
                INSERT INTO replannedChanges (
                    geoArea, replanned, total
                ) VALUES (
                    r_geoarea.geoarea, 1, 0 
                );
            elsif i_type = 'Increase' and i_column = 'Total' then
                INSERT INTO replannedChanges (
                    geoArea, replanned, total
                ) VALUES (
                    r_geoarea.geoarea, 0, 1 
                );
            end if;
        --ja hi ha dades a la taula, cal actualitzar els valors
        elsif v_exists > 0 then
            --S'actualitza valor canvis replanificats
            if i_column = 'Replanned' then
                select replanned into v_oldvalue
                from replannedchanges 
                where geoarea = r_geoarea.geoarea;
                if i_type = 'Increase' then
                    v_newvalue := v_oldvalue + 1; 
                elsif i_type = 'Decrease' then
                    if v_oldvalue = 0 then
                        raise not_exists;
                    end if;
                    v_newvalue := v_oldvalue - 1; 
                end if;
                update replannedchanges
                set replanned = v_newvalue
                where geoarea = r_geoarea.geoarea;
            -- s'actualitzen els valors totals
            elsif i_column = 'Total' then
                select total into v_oldvalue
                from replannedchanges 
                where geoarea = r_geoarea.geoarea;
                if i_type = 'Increase' then
                    v_newvalue := v_oldvalue + 1; 
                elsif i_type = 'Decrease' then
                    if v_oldvalue = 0 then
                        raise not_exists;
                    end if;
                    v_newvalue := v_oldvalue - 1; 
                end if;
                update replannedchanges
                set total = v_newvalue
                where geoarea = r_geoarea.geoarea;
            end if;
        end if;
      END LOOP;
    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN not_exists THEN
        rsp := 'ERROR: L''rea geogrfica ja t valor 0';
        addlog($$plsql_unit, param, rsp);
    WHEN wrong_column THEN
        rsp := 'ERROR: La columna a modificar ha de ser ''Replanned'' o ''Total''';
        addlog($$plsql_unit, param, rsp);
    WHEN wrong_type then
        rsp := 'ERROR: L''acci ha de ser ''Increase'' o ''Decrease''';
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure UPDATESNUMBERBREACHES
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."UPDATESNUMBERBREACHES" (
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    v_howmany number;
    v_exists number;
BEGIN    
    rsp := 'OK';
    param := sysdate; 
    --seleccionem el n d'incompliments en els ltims 6 mesos
    select COUNT(*) INTO V_howmany
    from breaches 
    where datebreach > add_months(sysdate, -6)
        and resultbreach = 'KO';
    select count(*) into v_exists
    from counters 
    where idcounter = 'BR' and yearinfo = '9999';
    if v_exists = 0 then
        INSERT INTO counters (
        idcounter, yearinfo, totalnumber
    ) VALUES (
        'BR', '9999', v_howmany
    );
    else
        update counters 
            set totalnumber = v_howmany
            where idcounter = 'BR' and yearinfo = '9999';
    end if;

    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  DDL for Procedure UPDATEUNPLANNEDSUBSTITUTIONS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE NONEDITIONABLE PROCEDURE "MFABREGARO"."UPDATEUNPLANNEDSUBSTITUTIONS" (
    i_idapprover membergcab.idmember%type,
    i_type varchar,
    rsp OUT VARCHAR
) IS
    param VARCHAR(500);
    not_exists exception;
    wrong_type exception;
    v_exists number;
    v_oldvalue unplannedSubstitutions.unplannedsubst%type;
    v_newvalue unplannedSubstitutions.unplannedsubst%type;
BEGIN    
    rsp := 'OK';
    param := i_idapprover || i_type ; 
    if i_type != 'Increase' and i_type != 'Decrease' then
        raise wrong_type;
    end if;
    SELECT COUNT(*) INTO V_EXISTS
    FROM unplannedSubstitutions
    where idapprover = i_idapprover;
    if v_exists = 0 then
        --si no hi ha dades i es demana reduir el valor, error
        if i_type = 'Decrease' then
            raise not_exists;
        else
            INSERT INTO unplannedSubstitutions (
                   idapprover, unplannedsubst
                ) VALUES (
                    i_idapprover, 1
                );
        end if;
    --ja hi ha dades a la taula, cal actualitzar els valors
    elsif v_exists > 0 then
        SELECT unplannedsubst INTO V_oldvalue
        FROM unplannedSubstitutions
        where idapprover = i_idapprover;
        if i_type = 'Increase' then
            v_newvalue := v_oldvalue + 1;
        elsif i_type = 'Decrease' then
            if v_oldvalue = 0 then
                raise not_exists;
            else
                v_newvalue := v_oldvalue - 1;
            end if;
        end if;
        update unplannedsubstitutions
        set unplannedsubst = v_newValue
        where idapprover = i_idapprover;

    end if;

    --registre al log
    addlog($$plsql_unit, param, rsp);
EXCEPTION
    WHEN not_exists THEN
        rsp := 'ERROR: L''aprovador no t cap substituci';
        addlog($$plsql_unit, param, rsp);
    WHEN wrong_type then
        rsp := 'ERROR: L''acci ha de ser ''Increase'' o ''Decrease''';
        addlog($$plsql_unit, param, rsp);
    WHEN OTHERS THEN
        rsp := 'ERROR' || ':' || sqlerrm;
        addlog($$plsql_unit, param, rsp);
END;

/
--------------------------------------------------------
--  Constraints for Table INVITATIONS
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."INVITATIONS" MODIFY ("IDHOST" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."INVITATIONS" MODIFY ("IDGUEST" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."INVITATIONS" MODIFY ("INIDATE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."INVITATIONS" MODIFY ("REASON" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."INVITATIONS" MODIFY ("ENDDATE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."INVITATIONS" ADD CHECK (endDate > iniDate) ENABLE;
  ALTER TABLE "MFABREGARO"."INVITATIONS" ADD CONSTRAINT "PK_INVITATIONS" PRIMARY KEY ("IDHOST", "IDGUEST", "INIDATE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table ACTIONSINTIME
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."ACTIONSINTIME" MODIFY ("YEARACTION" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTIONSINTIME" MODIFY ("INTIME" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTIONSINTIME" MODIFY ("TOTAL" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTIONSINTIME" ADD PRIMARY KEY ("YEARACTION")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table COUNTERS
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."COUNTERS" ADD CONSTRAINT "PK_COUNTERS" PRIMARY KEY ("IDCOUNTER", "YEARINFO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
  ALTER TABLE "MFABREGARO"."COUNTERS" ADD CONSTRAINT "IDCOUNTER" CHECK (IDCOUNTER IN ('PA', 'AP', 'RE', 'IE', 'OP', 'BR')) ENABLE;
  ALTER TABLE "MFABREGARO"."COUNTERS" MODIFY ("YEARINFO" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."COUNTERS" MODIFY ("TOTALNUMBER" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table EXECUTEDCHANGES
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."EXECUTEDCHANGES" MODIFY ("DATEEXECUTION" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."EXECUTEDCHANGES" MODIFY ("RESULT" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."EXECUTEDCHANGES" ADD CONSTRAINT "RESULT" CHECK (result IN ('Correct', 'Incidences', 'Replanned') ) ENABLE;
  ALTER TABLE "MFABREGARO"."EXECUTEDCHANGES" ADD PRIMARY KEY ("IDCHANGE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table UNPLANNEDSUBSTITUTIONS
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."UNPLANNEDSUBSTITUTIONS" ADD PRIMARY KEY ("IDAPPROVER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table TECHNICALMANAGERDATA
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."TECHNICALMANAGERDATA" ADD PRIMARY KEY ("TECHNICALMANAGER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table CHANGES
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."CHANGES" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."CHANGES" MODIFY ("DESCRIPTION" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."CHANGES" MODIFY ("GEOSCOPE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."CHANGES" MODIFY ("CATEGORY" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."CHANGES" MODIFY ("APPLICATION" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."CHANGES" MODIFY ("STATUSCHANGE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."CHANGES" ADD CONSTRAINT "GEOSCOPE" CHECK (geoScope IN ('High', 'Medium', 'Low')) ENABLE;
  ALTER TABLE "MFABREGARO"."CHANGES" ADD CONSTRAINT "STATUSCHANGE" CHECK (statusChange IN ('PA', 'AP', 'RE')) ENABLE;
  ALTER TABLE "MFABREGARO"."CHANGES" ADD PRIMARY KEY ("IDCHANGE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table PERSON
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."PERSON" MODIFY ("NAME" CONSTRAINT "NN_PERSONNAME" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."PERSON" MODIFY ("SURNAME" CONSTRAINT "NN_PERSONSURNAME" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."PERSON" ADD CONSTRAINT "GENDER" CHECK (gender IN ('Male', 'Female', 'Other') ) ENABLE;
  ALTER TABLE "MFABREGARO"."PERSON" ADD CONSTRAINT "PK_PERSON" PRIMARY KEY ("IDPERSON")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
  ALTER TABLE "MFABREGARO"."PERSON" ADD CONSTRAINT "AK_PERSON" UNIQUE ("NIF")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
  ALTER TABLE "MFABREGARO"."PERSON" MODIFY ("NIF" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."PERSON" MODIFY ("GENDER" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."PERSON" MODIFY ("BIRTHDATE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table GEOAREAAPP
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."GEOAREAAPP" MODIFY ("IDAPP" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."GEOAREAAPP" MODIFY ("GEOAREA" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."GEOAREAAPP" ADD CONSTRAINT "GEOAREA" CHECK (geoArea IN ('Europa', 'America', 'Asia', 'Oceania') ) ENABLE;
  ALTER TABLE "MFABREGARO"."GEOAREAAPP" ADD CONSTRAINT "PK_GEOAREAAPP" PRIMARY KEY ("IDAPP", "GEOAREA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table REPLANNEDCHANGES
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."REPLANNEDCHANGES" MODIFY ("TOTAL" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."REPLANNEDCHANGES" ADD PRIMARY KEY ("GEOAREA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table ACTION
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."ACTION" MODIFY ("IDACTION" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTION" MODIFY ("IDPLAN" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTION" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTION" MODIFY ("DESCRIPTION" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTION" ADD CONSTRAINT "PK_ACTION" PRIMARY KEY ("IDACTION", "IDPLAN")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table APPINVENTORY
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."APPINVENTORY" MODIFY ("APPNAME" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."APPINVENTORY" MODIFY ("DATEPRO" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."APPINVENTORY" MODIFY ("TECHNOLOGY" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."APPINVENTORY" MODIFY ("INFRAESTRUCTURE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."APPINVENTORY" MODIFY ("NUMUSERS" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."APPINVENTORY" MODIFY ("CRITICALITY" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."APPINVENTORY" MODIFY ("IMPACTOOS" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."APPINVENTORY" MODIFY ("TECHNICALRESP" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."APPINVENTORY" MODIFY ("BUSINESSRESP" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."APPINVENTORY" ADD CONSTRAINT "CRITICALITY" CHECK (criticality>= 0 AND criticality <=10) ENABLE;
  ALTER TABLE "MFABREGARO"."APPINVENTORY" ADD CONSTRAINT "IMPACTOOS" CHECK (impactOOS IN ('High', 'Medium', 'Low')) ENABLE;
  ALTER TABLE "MFABREGARO"."APPINVENTORY" ADD PRIMARY KEY ("IDAPP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
  ALTER TABLE "MFABREGARO"."APPINVENTORY" ADD UNIQUE ("APPNAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table APPROVAL
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."APPROVAL" MODIFY ("IDPERSON" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."APPROVAL" MODIFY ("IDCHANGE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."APPROVAL" MODIFY ("DATEAPPROVAL" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."APPROVAL" MODIFY ("ROLEAPPROVER" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."APPROVAL" ADD CONSTRAINT "PK_APPROVAL" PRIMARY KEY ("IDPERSON", "IDCHANGE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table BREACHES
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."BREACHES" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."BREACHES" MODIFY ("REFERENCETO" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."BREACHES" MODIFY ("DESCRIPTION" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."BREACHES" MODIFY ("DATEBREACH" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."BREACHES" MODIFY ("RESULTBREACH" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."BREACHES" ADD CONSTRAINT "RESULTBREACH" CHECK (resultBreach IN ('OK', 'KO') ) ENABLE;
  ALTER TABLE "MFABREGARO"."BREACHES" ADD PRIMARY KEY ("IDBREACH")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table SUBSTITUTIONS
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."SUBSTITUTIONS" MODIFY ("IDPERSON" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."SUBSTITUTIONS" MODIFY ("INIDATE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."SUBSTITUTIONS" MODIFY ("SUBSTITUTE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."SUBSTITUTIONS" MODIFY ("ISPLANNED" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."SUBSTITUTIONS" MODIFY ("REASON" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."SUBSTITUTIONS" MODIFY ("ENDDATE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."SUBSTITUTIONS" ADD CHECK (endDate > iniDate) ENABLE;
  ALTER TABLE "MFABREGARO"."SUBSTITUTIONS" ADD CONSTRAINT "PK_SUBSTITUTIONS" PRIMARY KEY ("IDPERSON", "INIDATE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table MEMBERGCAB
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."MEMBERGCAB" MODIFY ("ROLEGCAB" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."MEMBERGCAB" MODIFY ("SUBSTITUTE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."MEMBERGCAB" ADD CONSTRAINT "ROLEGCAB" CHECK (roleGCAB IN ('TM', 'BM', 'CM') ) ENABLE;
  ALTER TABLE "MFABREGARO"."MEMBERGCAB" ADD PRIMARY KEY ("IDMEMBER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table LOGTABLE
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."LOGTABLE" MODIFY ("IDLOG" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."LOGTABLE" MODIFY ("PROCEDURENAME" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."LOGTABLE" MODIFY ("DATEEXECUTION" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."LOGTABLE" MODIFY ("NEWVALUE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."LOGTABLE" MODIFY ("OUTPUT" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."LOGTABLE" ADD PRIMARY KEY ("IDLOG")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table ACTIONPLAN
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."ACTIONPLAN" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTIONPLAN" MODIFY ("DESCRIPTION" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTIONPLAN" MODIFY ("ISVALIDATED" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTIONPLAN" MODIFY ("INIDATE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTIONPLAN" MODIFY ("ENDDATE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTIONPLAN" MODIFY ("EXECUTEDCHANGE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTIONPLAN" MODIFY ("RESPONSIBLE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTIONPLAN" MODIFY ("VALIDATOR" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."ACTIONPLAN" ADD CONSTRAINT "ISVALIDATED" CHECK (isValidated IN ('T', 'F') ) ENABLE;
  ALTER TABLE "MFABREGARO"."ACTIONPLAN" ADD CHECK ( endDate > iniDate ) ENABLE;
  ALTER TABLE "MFABREGARO"."ACTIONPLAN" ADD PRIMARY KEY ("IDPLAN")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Constraints for Table CHANGECATEGORY
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."CHANGECATEGORY" MODIFY ("CREATIONDATE" CONSTRAINT "NN_CREATIONDATE" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."CHANGECATEGORY" MODIFY ("DATEIN" CONSTRAINT "NN_DATEIN" NOT NULL ENABLE);
  ALTER TABLE "MFABREGARO"."CHANGECATEGORY" ADD CHECK ( dateOut > dateIn ) ENABLE;
  ALTER TABLE "MFABREGARO"."CHANGECATEGORY" ADD CONSTRAINT "PK_CHANGECATEGORY" PRIMARY KEY ("IMPORTANCE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFGMFABREGARO"  ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table ACTION
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."ACTION" ADD CONSTRAINT "FK_ACTION_IDPLAN" FOREIGN KEY ("IDPLAN")
	  REFERENCES "MFABREGARO"."ACTIONPLAN" ("IDPLAN") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table ACTIONPLAN
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."ACTIONPLAN" ADD CONSTRAINT "FK_ACTIONPLAN_CHANGE" FOREIGN KEY ("EXECUTEDCHANGE")
	  REFERENCES "MFABREGARO"."EXECUTEDCHANGES" ("IDCHANGE") ENABLE;
  ALTER TABLE "MFABREGARO"."ACTIONPLAN" ADD CONSTRAINT "FK_ACTIONPLAN_RESPONSIBLE" FOREIGN KEY ("RESPONSIBLE")
	  REFERENCES "MFABREGARO"."MEMBERGCAB" ("IDMEMBER") ENABLE;
  ALTER TABLE "MFABREGARO"."ACTIONPLAN" ADD CONSTRAINT "FK_ACTIONPLAN_VALIDATOR" FOREIGN KEY ("VALIDATOR")
	  REFERENCES "MFABREGARO"."MEMBERGCAB" ("IDMEMBER") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table APPINVENTORY
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."APPINVENTORY" ADD CONSTRAINT "FK_APP_TR" FOREIGN KEY ("TECHNICALRESP")
	  REFERENCES "MFABREGARO"."MEMBERGCAB" ("IDMEMBER") ENABLE;
  ALTER TABLE "MFABREGARO"."APPINVENTORY" ADD CONSTRAINT "FK_APP_BR" FOREIGN KEY ("BUSINESSRESP")
	  REFERENCES "MFABREGARO"."MEMBERGCAB" ("IDMEMBER") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table APPROVAL
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."APPROVAL" ADD CONSTRAINT "FK_APPROVAL_IDPERSON" FOREIGN KEY ("IDPERSON")
	  REFERENCES "MFABREGARO"."PERSON" ("IDPERSON") ENABLE;
  ALTER TABLE "MFABREGARO"."APPROVAL" ADD CONSTRAINT "FK_APPROVAL_IDCHANGE" FOREIGN KEY ("IDCHANGE")
	  REFERENCES "MFABREGARO"."CHANGES" ("IDCHANGE") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table CHANGES
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."CHANGES" ADD CONSTRAINT "FK_CHANGES_CATEGORY" FOREIGN KEY ("CATEGORY")
	  REFERENCES "MFABREGARO"."CHANGECATEGORY" ("IMPORTANCE") ENABLE;
  ALTER TABLE "MFABREGARO"."CHANGES" ADD CONSTRAINT "FK_CHANGES_APP" FOREIGN KEY ("APPLICATION")
	  REFERENCES "MFABREGARO"."APPINVENTORY" ("IDAPP") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table EXECUTEDCHANGES
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."EXECUTEDCHANGES" ADD CONSTRAINT "FK_EXECUTEDCHANGES_ID" FOREIGN KEY ("IDCHANGE")
	  REFERENCES "MFABREGARO"."CHANGES" ("IDCHANGE") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table GEOAREAAPP
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."GEOAREAAPP" ADD CONSTRAINT "FK_GEOAREAAPP_IDAPP" FOREIGN KEY ("IDAPP")
	  REFERENCES "MFABREGARO"."APPINVENTORY" ("IDAPP") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table INVITATIONS
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."INVITATIONS" ADD CONSTRAINT "FK_INVITATIONS_IDHOST" FOREIGN KEY ("IDHOST")
	  REFERENCES "MFABREGARO"."MEMBERGCAB" ("IDMEMBER") ENABLE;
  ALTER TABLE "MFABREGARO"."INVITATIONS" ADD CONSTRAINT "FK_INVITATIONS_IDGUEST" FOREIGN KEY ("IDGUEST")
	  REFERENCES "MFABREGARO"."PERSON" ("IDPERSON") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table MEMBERGCAB
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."MEMBERGCAB" ADD CONSTRAINT "FK_MEMBER_ID" FOREIGN KEY ("IDMEMBER")
	  REFERENCES "MFABREGARO"."PERSON" ("IDPERSON") ENABLE;
  ALTER TABLE "MFABREGARO"."MEMBERGCAB" ADD CONSTRAINT "FK_MEMBER_SUBSTITUTE" FOREIGN KEY ("SUBSTITUTE")
	  REFERENCES "MFABREGARO"."PERSON" ("IDPERSON") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table SUBSTITUTIONS
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."SUBSTITUTIONS" ADD CONSTRAINT "PK_SUBSTITUTE" FOREIGN KEY ("SUBSTITUTE")
	  REFERENCES "MFABREGARO"."PERSON" ("IDPERSON") ENABLE;
  ALTER TABLE "MFABREGARO"."SUBSTITUTIONS" ADD CONSTRAINT "PK_SUBSTITUTE_IDPERSON" FOREIGN KEY ("IDPERSON")
	  REFERENCES "MFABREGARO"."MEMBERGCAB" ("IDMEMBER") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table TECHNICALMANAGERDATA
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."TECHNICALMANAGERDATA" ADD CONSTRAINT "PK_TM" FOREIGN KEY ("TECHNICALMANAGER")
	  REFERENCES "MFABREGARO"."MEMBERGCAB" ("IDMEMBER") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UNPLANNEDSUBSTITUTIONS
--------------------------------------------------------

  ALTER TABLE "MFABREGARO"."UNPLANNEDSUBSTITUTIONS" ADD CONSTRAINT "FK_IDAPPROVER" FOREIGN KEY ("IDAPPROVER")
	  REFERENCES "MFABREGARO"."MEMBERGCAB" ("IDMEMBER") ENABLE;
